package com.b3.rbl.compensation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.bind.annotation.CrossOrigin;

import com.b3.rbl.compensation.service.VariableService;

import lombok.extern.log4j.Log4j2;

@CrossOrigin(value = "*")
@Log4j2
@EnableAutoConfiguration
@ComponentScan(basePackages = "com.b3.rbl")
@SpringBootApplication
public class CompensationApplication implements CommandLineRunner {

	@Autowired
	private VariableService variableService;

	public static void main(String[] args) {
		SpringApplication.run(CompensationApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		log.info("Start Process");
		variableService.initial();
	}

}
