package com.b3.rbl.compensation.controller;

import com.b3.rbl.compensation.db.MetadataExtractor;
import com.b3.rbl.compensation.service.uploadCSVService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

// @Controller
// @RequestMapping("upload")
public class UploadData {
    @Autowired
    private uploadCSVService UploadCSVService;

    @Autowired
    MetadataExtractor metadataExtractor;

    @GetMapping
    public String Main(ModelMap model) throws SQLException {
        List<String> statusDropdown = metadataExtractor.extractTableInfo();
        model.addAttribute("statusDropdown", statusDropdown);
        return "pages/upload/index";
    }

    @PostMapping("/results")
    public String results(@RequestParam(name = "nameTable", required = true) String nameTable,
            @RequestParam(name = "file", required = true) MultipartFile file, ModelMap model)
            throws SQLException, IOException {

        String fileData = null;
        // List<String> d = new ArrayList<String>();
        InputStream data = file.getInputStream();
        byte[] targetArray = new byte[data.available()];
        data.read(targetArray);
        String responseData = new String(targetArray);
        StringBuilder resultStringBuilder = new StringBuilder();
        // System.out.print("file >>> " + responseData);

        try (BufferedReader br = new BufferedReader(new InputStreamReader(file.getInputStream()))) {
            String line;
            while ((line = br.readLine()) != null) {
                fileData = resultStringBuilder.append(line).append("\n").toString();

            }
        }
        try {
            // metadataExtractor.insertDataUpload(nameTable,fileData);
            model.addAttribute("message", metadataExtractor.insertDataUpload(nameTable, fileData));
        } catch (Exception e) {
            model.addAttribute("message", "อัปโหลดข้อมูลไม่สำเร็จกรุณาตรวจสอบชื่อ ตาราง และไฟล์");
        }

        return "pages/upload/result";
    }

    @PostMapping("/test")
    public Object Main(MultipartFile file) throws IOException {
        String x = null;
        List<String> y = new ArrayList<String>();
        InputStream data = file.getInputStream();
        byte[] targetArray = new byte[data.available()];
        data.read(targetArray);
        String responseData = new String(targetArray);

        // System.out.print("file >>> "+responseData);
        // System.out.print("file >>> "+responseData.length());

        StringBuilder resultStringBuilder = new StringBuilder();

        try (BufferedReader br = new BufferedReader(new InputStreamReader(file.getInputStream()))) {
            // System.out.print("testestestestes>>> "+br.readLine());
            String line;
            while ((line = br.readLine()) != null) {
                // System.out.print("file >>> "+);
                x = resultStringBuilder.append(line).append("\n").toString();

            }

        }

        return UploadCSVService.getData(x);
    }
}
