
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 *
 * @author user
 */
@Entity
@Table(name = "account", catalog = "", schema = "", uniqueConstraints = { @UniqueConstraint(columnNames = { "cid_no" }),
        @UniqueConstraint(columnNames = { "employee_code" }) })
public class Account implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private String id;
    @Column(name = "absolute_assignee")
    private Boolean absoluteAssignee;
    @Column(name = "account_class", length = 255)
    private String accountClass;
    @Column(name = "account_of_company", length = 255)
    private String accountOfCompany;
    @Column(name = "account_type", length = 255)
    private String accountType;
    @Column(name = "accountid", length = 1300)
    private String accountid;
    @Column(name = "accountnumber", length = 40)
    private String accountnumber;
    @Column(name = "accountsource", length = 255)
    private String accountsource;
    @Column(name = "address_id", length = 131072)
    private String addressId;
    @Column(name = "address_no", length = 1)
    private String addressNo;
    @Column(name = "address_type_no", length = 1)
    private String addressTypeNo;
    @Column(name = "age")
    private Long age;
    @Column(name = "agent")
    private Boolean agent;
    @Column(name = "agent_bank_account_no", length = 20)
    private String agentBankAccountNo;
    @Column(name = "agent_birth_date")
    @Temporal(TemporalType.DATE)
    private Date agentBirthDate;
    @Column(name = "agent_code", length = 5)
    private String agentCode;
    @Column(name = "agent_effective_date")
    @Temporal(TemporalType.DATE)
    private Date agentEffectiveDate;
    @Column(name = "agent_email_address", length = 80)
    private String agentEmailAddress;
    @Column(name = "agent_email_address_temp", length = 255)
    private String agentEmailAddressTemp;
    @Column(name = "agent_esd", length = 18)
    private String agentEsd;
    @Column(name = "agent_esd_staging", length = 50)
    private String agentEsdStaging;
    @Column(name = "agent_first_name", length = 50)
    private String agentFirstName;
    @Column(name = "agent_id_card", length = 13)
    private String agentIdCard;
    @Column(name = "agent_join_date")
    @Temporal(TemporalType.DATE)
    private Date agentJoinDate;
    @Column(name = "agent_level_code", length = 10)
    private String agentLevelCode;
    @Column(name = "agent_level_code_detail", length = 5)
    private String agentLevelCodeDetail;
    @Column(name = "agent_level_name", length = 50)
    private String agentLevelName;
    @Column(name = "agent_level_name_prior", length = 255)
    private String agentLevelNamePrior;
    @Column(name = "agent_level_short_name", length = 50)
    private String agentLevelShortName;
    @Column(name = "agent_license_code", length = 20)
    private String agentLicenseCode;
    @Column(name = "agent_license_effective_date")
    @Temporal(TemporalType.DATE)
    private Date agentLicenseEffectiveDate;
    @Column(name = "agent_license_expire_date")
    @Temporal(TemporalType.DATE)
    private Date agentLicenseExpireDate;
    @Column(name = "agent_license_first_register_date")
    @Temporal(TemporalType.DATE)
    private Date agentLicenseFirstRegisterDate;
    @Column(name = "agent_license_first_register_datelastmon")
    private Boolean agentLicenseFirstRegisterDatelastmon;
    @Column(name = "agent_license_register_date")
    @Temporal(TemporalType.DATE)
    private Date agentLicenseRegisterDate;
    @Column(name = "agent_line", length = 18)
    private String agentLine;
    @Column(name = "agent_line_staging", length = 50)
    private String agentLineStaging;
    @Column(name = "agent_mobile_no", length = 30)
    private String agentMobileNo;
    @Column(name = "agent_pending_reason", length = 500)
    private String agentPendingReason;
    @Column(name = "agent_recruiter_code", length = 10)
    private String agentRecruiterCode;
    @Column(name = "agent_rejoin_date")
    @Temporal(TemporalType.DATE)
    private Date agentRejoinDate;
    @Column(name = "agent_sd", length = 18)
    private String agentSd;
    @Column(name = "agent_sd_staging", length = 50)
    private String agentSdStaging;
    @Column(name = "agent_servicing_level_name_prior", length = 255)
    private String agentServicingLevelNamePrior;
    @Column(name = "agent_sm", length = 18)
    private String agentSm;
    @Column(name = "agent_sm_staging", length = 50)
    private String agentSmStaging;
    @Column(name = "agent_status", length = 10)
    private String agentStatus;
    @Column(name = "agent_surname", length = 50)
    private String agentSurname;
    @Column(name = "agent_terminate_date")
    @Temporal(TemporalType.DATE)
    private Date agentTerminateDate;
    @Column(name = "agent_terminate_reason", length = 100)
    private String agentTerminateReason;
    @Column(name = "agent_title_name", length = 10)
    private String agentTitleName;
    @Column(name = "agent_type_name", length = 50)
    private String agentTypeName;
    @Column(name = "annual_income")
    private Long annualIncome;
    @Column(name = "annual_investment_saving_allocation", length = 255)
    private String annualInvestmentSavingAllocation;
    @Column(name = "annually_income")
    private Long annuallyIncome;
    @Column(name = "annualrevenue")
    private Long annualrevenue;
    @Column(name = "authorized_capital")
    private Long authorizedCapital;
    @Column(name = "bank_branch", length = 20)
    private String bankBranch;
    @Column(name = "bank_code", length = 10)
    private String bankCode;
    @Column(name = "bank_type", length = 20)
    private String bankType;
    @Column(name = "beneficiary")
    private Boolean beneficiary;
    @Column(name = "beneficiary_1_first_last_name", length = 80)
    private String beneficiary1FirstLastName;
    @Column(name = "beneficiary_2_first_last_name", length = 80)
    private String beneficiary2FirstLastName;
    @Column(name = "beneficiary_3_first_last_name", length = 80)
    private String beneficiary3FirstLastName;
    @Column(name = "beneficiary_of_investment_transaction", length = 255)
    private String beneficiaryOfInvestmentTransaction;
    @Column(name = "billingaddress", length = 255)
    private String billingaddress;
    @Column(name = "billingcity", length = 40)
    private String billingcity;
    @Column(name = "billingcountry", length = 80)
    private String billingcountry;
    @Column(name = "billinggeocodeaccuracy", length = 40)
    private String billinggeocodeaccuracy;
    @Column(name = "billinglatitude", precision = 18, scale = 15)
    private BigDecimal billinglatitude;
    @Column(name = "billinglongitude", precision = 18, scale = 15)
    private BigDecimal billinglongitude;
    @Column(name = "billingpostalcode", length = 20)
    private String billingpostalcode;
    @Column(name = "billingstate", length = 80)
    private String billingstate;
    @Column(name = "billingstreet", length = 255)
    private String billingstreet;
    @Column(name = "business_details", length = 255)
    private String businessDetails;
    @Column(name = "business_title", length = 255)
    private String businessTitle;
    @Column(name = "business_type", length = 255)
    private String businessType;
    @Column(name = "change_risk_comment", length = 255)
    private String changeRiskComment;
    @Column(name = "change_status_date", length = 255)
    private String changeStatusDate;
    @Column(name = "change_status_reason", length = 100)
    private String changeStatusReason;
    @Column(name = "channelprogramlevelname", length = 255)
    private String channelprogramlevelname;
    @Column(name = "channelprogramname", length = 255)
    private String channelprogramname;
    @Column(name = "cid_no", length = 10)
    private String cidNo;
    @Column(name = "cold_call")
    private Boolean coldCall;
    @Column(name = "company_name", length = 150)
    private String companyName;
    @Column(name = "company_name_en", length = 255)
    private String companyNameEn;
    @Column(name = "company_registered_date")
    @Temporal(TemporalType.DATE)
    private Date companyRegisteredDate;
    @Column(name = "comparename", length = 80)
    private String comparename;
    @Column(name = "comparesite", length = 80)
    private String comparesite;
    @Column(name = "connectionreceiveddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date connectionreceiveddate;
    @Column(name = "connectionsentdate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date connectionsentdate;
    @Column(name = "contact_email_1", length = 80)
    private String contactEmail1;
    @Column(name = "contact_email_2", length = 80)
    private String contactEmail2;
    @Column(name = "contact_email_3", length = 80)
    private String contactEmail3;
    @Column(name = "converted_dated")
    @Temporal(TemporalType.DATE)
    private Date convertedDated;
    @Column(name = "created_by", length = 80)
    private String createdBy;
    @Column(name = "createddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createddate;
    @Column(name = "customer_class", length = 255)
    private String customerClass;
    @Column(name = "customer_risk_assessment", length = 255)
    private String customerRiskAssessment;
    @Column(name = "customer_status", length = 255)
    private String customerStatus;
    @Column(name = "customer_type", length = 255)
    private String customerType;
    @Column(name = "date_of_birth")
    @Temporal(TemporalType.DATE)
    private Date dateOfBirth;
    @Column(name = "days", length = 1300)
    private String days;
    @Column(name = "days_as_customer")
    private Long daysAsCustomer;
    @Column(name = "days_as_prospect")
    private Long daysAsProspect;
    @Column(name = "description", length = 32000)
    private String description;
    @Column(name = "district_id", length = 50)
    private String districtId;
    @Column(name = "driving_license_no")
    private Integer drivingLicenseNo;
    @Column(name = "driving_license_number", length = 20)
    private String drivingLicenseNumber;
    @Column(name = "email_2", length = 80)
    private String email2;
    @Column(name = "email_3", length = 80)
    private String email3;
    @Column(name = "email_temp", length = 255)
    private String emailTemp;
    @Column(name = "employee")
    private Boolean employee;
    @Column(name = "employee_code", length = 6)
    private String employeeCode;
    @Column(name = "esd_account_name", length = 18)
    private String esdAccountName;
    @Column(name = "esd_account_name_prior", length = 18)
    private String esdAccountNamePrior;
    @Column(name = "esd_agent_code", length = 20)
    private String esdAgentCode;
    @Column(name = "esd_unit_code", length = 100)
    private String esdUnitCode;
    @Column(name = "esd_unit_name", length = 100)
    private String esdUnitName;
    @Column(name = "estimate_age")
    private Short estimateAge;
    @Column(name = "fax", length = 40)
    private String fax;
    @Column(name = "fax_2", length = 40)
    private String fax2;
    @Column(name = "fax_3", length = 40)
    private String fax3;
    @Column(name = "fax_4", length = 40)
    private String fax4;
    @Column(name = "fax_5", length = 40)
    private String fax5;
    @Column(name = "first_contact")
    @Temporal(TemporalType.TIMESTAMP)
    private Date firstContact;
    @Column(name = "first_name_en", length = 255)
    private String firstNameEn;
    @Column(name = "firstname", length = 40)
    private String firstname;
    @Column(name = "former_first_name_en", length = 50)
    private String formerFirstNameEn;
    @Column(name = "former_first_name_eng", length = 50)
    private String formerFirstNameEng;
    @Column(name = "former_first_name_th", length = 50)
    private String formerFirstNameTh;
    @Column(name = "former_last_name_en", length = 50)
    private String formerLastNameEn;
    @Column(name = "former_last_name_eng", length = 50)
    private String formerLastNameEng;
    @Column(name = "former_last_name_th", length = 50)
    private String formerLastNameTh;
    @Column(name = "gender", length = 255)
    private String gender;
    @Column(name = "government_id", length = 10)
    private String governmentId;
    @Column(name = "height_cm")
    private Short heightCm;
    @Column(name = "highest_education", length = 255)
    private String highestEducation;
    @Column(name = "holding_common_stock_check")
    private Boolean holdingCommonStockCheck;
    @Column(name = "holding_government_bond_check")
    private Boolean holdingGovernmentBondCheck;
    @Column(name = "holding_life_insurance_annuity_check")
    private Boolean holdingLifeInsuranceAnnuityCheck;
    @Column(name = "holding_life_insurance_saving_check")
    private Boolean holdingLifeInsuranceSavingCheck;
    @Column(name = "holding_ltf_rmf_check")
    private Boolean holdingLtfRmfCheck;
    @Column(name = "holding_mutual_fund_check")
    private Boolean holdingMutualFundCheck;
    @Column(name = "holding_other_investment_product", length = 50)
    private String holdingOtherInvestmentProduct;
    @Column(name = "holding_private_debenture_check")
    private Boolean holdingPrivateDebentureCheck;
    @Column(name = "holding_saving_account_less_12_mth_check")
    private Boolean holdingSavingAccountLess12MthCheck;
    @Column(name = "holding_saving_account_more_12_mth_check")
    private Boolean holdingSavingAccountMore12MthCheck;
    @Column(name = "holding_unit_link_universal_life_check")
    private Boolean holdingUnitLinkUniversalLifeCheck;
    @Column(name = "home_phone_2", length = 40)
    private String homePhone2;
    @Column(name = "home_phone_3", length = 40)
    private String homePhone3;
    @Column(name = "home_phone_4", length = 40)
    private String homePhone4;
    @Column(name = "home_phone_5", length = 40)
    private String homePhone5;
    @Column(name = "account_id", length = 18)
    private String accountId;
    @Column(name = "id_card_expiration_date")
    @Temporal(TemporalType.DATE)
    private Date idCardExpirationDate;
    @Column(name = "id_card_expired_date")
    @Temporal(TemporalType.DATE)
    private Date idCardExpiredDate;
    @Column(name = "id_card_number", length = 13)
    private String idCardNumber;
    @Column(name = "id_customer_class", length = 255)
    private String idCustomerClass;
    @Column(name = "inactive")
    private Boolean inactive;
    @Column(name = "industry", length = 255)
    private String industry;
    @Column(name = "insured")
    private Boolean insured;
    @Column(name = "is_birth_next_month")
    private Boolean isBirthNextMonth;
    @Column(name = "is_birth_previous_month")
    private Boolean isBirthPreviousMonth;
    @Column(name = "is_birth_this_month")
    private Boolean isBirthThisMonth;
    @Column(name = "is_inserted")
    private Boolean isInserted;
    @Column(name = "is_license_renewal", precision = 18, scale = 2)
    private BigDecimal isLicenseRenewal;
    @Column(name = "is_partner_community")
    private Boolean isPartnerCommunity;
    @Column(name = "is_updated")
    private Boolean isUpdated;
    @Column(name = "isdeleted")
    private Boolean isdeleted;
    @Column(name = "islicensed")
    private Boolean islicensed;
    @Column(name = "ispartner")
    private Boolean ispartner;
    @Column(name = "ispersonaccount")
    private Boolean ispersonaccount;
    @Column(name = "isterminated")
    private Boolean isterminated;
    @Column(name = "jigsaw", length = 20)
    private String jigsaw;
    @Column(name = "jigsawcompanyid", length = 20)
    private String jigsawcompanyid;
    @Column(name = "juristic_no", length = 13)
    private String juristicNo;
    @Column(name = "last_name_en", length = 255)
    private String lastNameEn;
    @Column(name = "last_visit")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastVisit;
    @Column(name = "lastactivitydate")
    @Temporal(TemporalType.DATE)
    private Date lastactivitydate;
    @Column(name = "lastmodifiedbyid", length = 18)
    private String lastmodifiedbyid;
    @Column(name = "lastmodifieddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastmodifieddate;
    @Column(name = "lastname", length = 80)
    private String lastname;
    @Column(name = "lastreferenceddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastreferenceddate;
    @Column(name = "lastvieweddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastvieweddate;
    @Column(name = "life")
    private Boolean life;
    @Column(name = "life_sum_insure", precision = 13, scale = 2)
    private BigDecimal lifeSumInsure;
    @Column(name = "line_accoun_name", length = 18)
    private String lineAccounName;
    @Column(name = "line_account_name_prior", length = 18)
    private String lineAccountNamePrior;
    @Column(name = "line_agent_code", length = 20)
    private String lineAgentCode;
    @Column(name = "line_id", length = 20)
    private String lineId;
    @Column(name = "line_unit_code", length = 20)
    private String lineUnitCode;
    @Column(name = "line_unit_name", length = 100)
    private String lineUnitName;
    @Column(name = "marital_status", length = 255)
    private String maritalStatus;
    @Column(name = "masterrecordid", length = 18)
    private String masterrecordid;
    @Column(name = "middlename_en", length = 50)
    private String middlenameEn;
    @Column(name = "middlename_th", length = 50)
    private String middlenameTh;
    @Column(name = "mobile_2", length = 40)
    private String mobile2;
    @Column(name = "mobile_3", length = 40)
    private String mobile3;
    @Column(name = "mobile_4", length = 40)
    private String mobile4;
    @Column(name = "mobile_5", length = 40)
    private String mobile5;
    @Column(name = "money_laundry_in_past_3_years", length = 255)
    private String moneyLaundryInPast3Years;
    @Column(name = "monthly_income")
    private Long monthlyIncome;
    @Column(name = "motor", precision = 18, scale = 2)
    private BigDecimal motor;
    @Column(name = "mutual_fund")
    private Boolean mutualFund;
    @Column(name = "mutual_fund_value", precision = 16, scale = 4)
    private BigDecimal mutualFundValue;
    @Column(name = "name", length = 255)
    private String name;
    @Column(name = "name_en", length = 50)
    private String nameEn;
    @Column(name = "nationality", length = 20)
    private String nationality;
    @Column(name = "nationality_dummy", length = 255)
    private String nationalityDummy;
    @Column(name = "net_worth")
    private Long netWorth;
    @Column(name = "nick_name", length = 20)
    private String nickName;
    @Column(name = "nickname", length = 10)
    private String nickname;
    @Column(name = "no_of_closed_won_opportunity")
    private Long noOfClosedWonOpportunity;
    @Column(name = "no_of_life_policy")
    private Long noOfLifePolicy;
    @Column(name = "no_of_mutual_fund_account")
    private Long noOfMutualFundAccount;
    @Column(name = "no_of_non_life_policy")
    private Long noOfNonLifePolicy;
    @Column(name = "non_life")
    private Boolean nonLife;
    @Column(name = "non_motor", precision = 18, scale = 2)
    private BigDecimal nonMotor;
    @Column(name = "number_of_child")
    private Short numberOfChild;
    @Column(name = "number_of_children")
    private Long numberOfChildren;
    @Column(name = "number_of_day_s_created")
    private Long numberOfDaySCreated;
    @Column(name = "number_of_family_member")
    private Short numberOfFamilyMember;
    @Column(name = "numberofemployees")
    private Integer numberofemployees;
    @Column(name = "objective_investment_check")
    private Boolean objectiveInvestmentCheck;
    @Column(name = "objective_other_objective", length = 50)
    private String objectiveOtherObjective;
    @Column(name = "objective_retirement_check")
    private Boolean objectiveRetirementCheck;
    @Column(name = "occupation", length = 255)
    private String occupation;
    @Column(name = "occupation_classification", length = 255)
    private String occupationClassification;
    @Column(name = "office_phone", length = 40)
    private String officePhone;
    @Column(name = "office_phone_2", length = 40)
    private String officePhone2;
    @Column(name = "office_phone_3", length = 40)
    private String officePhone3;
    @Column(name = "office_phone_4", length = 40)
    private String officePhone4;
    @Column(name = "office_phone_5", length = 40)
    private String officePhone5;
    @Column(name = "other")
    private Boolean other;
    @Column(name = "other_business_type", length = 50)
    private String otherBusinessType;
    @Column(name = "other_occupation", length = 50)
    private String otherOccupation;
    @Column(name = "owner_agent_office", length = 200)
    private String ownerAgentOffice;
    @Column(name = "owner_agent_office_code", length = 100)
    private String ownerAgentOfficeCode;
    @Column(name = "owneralias", length = 30)
    private String owneralias;
    @Column(name = "ownerid", length = 18)
    private String ownerid;
    @Column(name = "ownership", length = 255)
    private String ownership;
    @Column(name = "parentid", length = 18)
    private String parentid;
    @Column(name = "passport_number", length = 20)
    private String passportNumber;
    @Column(name = "payer")
    private Boolean payer;
    @Column(name = "personassistantname", length = 40)
    private String personassistantname;
    @Column(name = "personassistantphone", length = 40)
    private String personassistantphone;
    @Column(name = "personbirthdate")
    @Temporal(TemporalType.DATE)
    private Date personbirthdate;
    @Column(name = "personcontactid", length = 18)
    private String personcontactid;
    @Column(name = "persondepartment", length = 80)
    private String persondepartment;
    @Column(name = "persondonotcall")
    private Boolean persondonotcall;
    @Column(name = "personemail", length = 80)
    private String personemail;
    @Column(name = "personemailbounceddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date personemailbounceddate;
    @Column(name = "personemailbouncedreason", length = 255)
    private String personemailbouncedreason;
    @Column(name = "personhasoptedoutofemail")
    private Boolean personhasoptedoutofemail;
    @Column(name = "personhasoptedoutoffax")
    private Boolean personhasoptedoutoffax;
    @Column(name = "personhomephone", length = 40)
    private String personhomephone;
    @Column(name = "personindividualid", length = 18)
    private String personindividualid;
    @Column(name = "personlastcurequestdate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date personlastcurequestdate;
    @Column(name = "personlastcuupdatedate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date personlastcuupdatedate;
    @Column(name = "personleadsource", length = 255)
    private String personleadsource;
    @Column(name = "personmailingaddress", length = 255)
    private String personmailingaddress;
    @Column(name = "personmailingcity", length = 40)
    private String personmailingcity;
    @Column(name = "personmailingcountry", length = 80)
    private String personmailingcountry;
    @Column(name = "personmailinggeocodeaccuracy", length = 40)
    private String personmailinggeocodeaccuracy;
    @Column(name = "personmailinglatitude", precision = 18, scale = 15)
    private BigDecimal personmailinglatitude;
    @Column(name = "personmailinglongitude", precision = 18, scale = 15)
    private BigDecimal personmailinglongitude;
    @Column(name = "personmailingpostalcode", length = 20)
    private String personmailingpostalcode;
    @Column(name = "personmailingstate", length = 80)
    private String personmailingstate;
    @Column(name = "personmailingstreet", length = 255)
    private String personmailingstreet;
    @Column(name = "personmobilephone", length = 40)
    private String personmobilephone;
    @Column(name = "personotheraddress", length = 255)
    private String personotheraddress;
    @Column(name = "personothercity", length = 40)
    private String personothercity;
    @Column(name = "personothercountry", length = 80)
    private String personothercountry;
    @Column(name = "personothergeocodeaccuracy", length = 40)
    private String personothergeocodeaccuracy;
    @Column(name = "personotherlatitude", precision = 18, scale = 15)
    private BigDecimal personotherlatitude;
    @Column(name = "personotherlongitude", precision = 18, scale = 15)
    private BigDecimal personotherlongitude;
    @Column(name = "personotherphone", length = 40)
    private String personotherphone;
    @Column(name = "personotherpostalcode", length = 20)
    private String personotherpostalcode;
    @Column(name = "personotherstate", length = 80)
    private String personotherstate;
    @Column(name = "personotherstreet", length = 255)
    private String personotherstreet;
    @Column(name = "persontitle", length = 80)
    private String persontitle;
    @Column(name = "phone", length = 40)
    private String phone;
    @Column(name = "photourl", length = 255)
    private String photourl;
    @Column(name = "position", length = 20)
    private String position;
    @Column(name = "position_effective_date")
    @Temporal(TemporalType.DATE)
    private Date positionEffectiveDate;
    @Column(name = "product_of_interest", length = 255)
    private String productOfInterest;
    @Column(name = "race", length = 20)
    private String race;
    @Column(name = "race_dummy", length = 255)
    private String raceDummy;
    @Column(name = "rating", length = 255)
    private String rating;
    @Column(name = "received_risk", length = 10)
    private String receivedRisk;
    @Column(name = "received_risk_1", length = 10)
    private String receivedRisk1;
    @Column(name = "record_date")
    @Temporal(TemporalType.DATE)
    private Date recordDate;
    @Column(name = "recordtypeid", length = 18)
    private String recordtypeid;
    @Column(name = "reference_cis_no", length = 9)
    private String referenceCisNo;
    @Column(name = "religion", length = 10)
    private String religion;
    @Column(name = "remark", length = 255)
    private String remark;
    @Column(name = "risk_level", length = 1)
    private String riskLevel;
    @Column(name = "risk_level_no", length = 1)
    private String riskLevelNo;
    @Column(name = "salutation", length = 40)
    private String salutation;
    @Column(name = "save_risk_date")
    @Temporal(TemporalType.DATE)
    private Date saveRiskDate;
    @Column(name = "sd_account_name", length = 18)
    private String sdAccountName;
    @Column(name = "sd_account_name_prior", length = 18)
    private String sdAccountNamePrior;
    @Column(name = "sd_agent_code", length = 20)
    private String sdAgentCode;
    @Column(name = "sd_unit_code", length = 20)
    private String sdUnitCode;
    @Column(name = "sd_unit_name", length = 100)
    private String sdUnitName;
    @Column(name = "sfssdupecatcher__override_dupecatcher")
    private Boolean sfssdupecatcherOverrideDupecatcher;
    @Column(name = "shippingaddress", length = 255)
    private String shippingaddress;
    @Column(name = "shippingcity", length = 40)
    private String shippingcity;
    @Column(name = "shippingcountry", length = 80)
    private String shippingcountry;
    @Column(name = "shippinggeocodeaccuracy", length = 40)
    private String shippinggeocodeaccuracy;
    @Column(name = "shippinglatitude", precision = 18, scale = 15)
    private BigDecimal shippinglatitude;
    @Column(name = "shippinglongitude", precision = 18, scale = 15)
    private BigDecimal shippinglongitude;
    @Column(name = "shippingpostalcode", length = 20)
    private String shippingpostalcode;
    @Column(name = "shippingstate", length = 80)
    private String shippingstate;
    @Column(name = "shippingstreet", length = 255)
    private String shippingstreet;
    @Column(name = "sic", length = 20)
    private String sic;
    @Column(name = "sicdesc", length = 80)
    private String sicdesc;
    @Column(name = "site", length = 80)
    private String site;
    @Column(name = "sm_account_name", length = 18)
    private String smAccountName;
    @Column(name = "sm_account_name_prior", length = 18)
    private String smAccountNamePrior;
    @Column(name = "sm_agent_code", length = 20)
    private String smAgentCode;
    @Column(name = "sm_agent_name", length = 1300)
    private String smAgentName;
    @Column(name = "sm_unit_code", length = 20)
    private String smUnitCode;
    @Column(name = "sm_unit_name", length = 100)
    private String smUnitName;
    @Column(name = "source_key_seq", length = 20)
    private String sourceKeySeq;
    @Column(name = "source_name", length = 50)
    private String sourceName;
    @Column(name = "sourceincome_dividend_interest_check")
    private Boolean sourceincomeDividendInterestCheck;
    @Column(name = "sourceincome_other_country", length = 20)
    private String sourceincomeOtherCountry;
    @Column(name = "sourceincome_other_source_of_income", length = 50)
    private String sourceincomeOtherSourceOfIncome;
    @Column(name = "sourceincome_salary_business_check")
    private Boolean sourceincomeSalaryBusinessCheck;
    @Column(name = "sourceincome_thailand_check")
    private Boolean sourceincomeThailandCheck;
    @Column(name = "spouse_first_name_en", length = 50)
    private String spouseFirstNameEn;
    @Column(name = "spouse_first_name_eng", length = 50)
    private String spouseFirstNameEng;
    @Column(name = "spouse_first_name_th", length = 50)
    private String spouseFirstNameTh;
    @Column(name = "spouse_last_name_en", length = 50)
    private String spouseLastNameEn;
    @Column(name = "spouse_last_name_eng", length = 50)
    private String spouseLastNameEng;
    @Column(name = "spouse_last_name_th", length = 50)
    private String spouseLastNameTh;
    @Column(name = "surname_en", length = 50)
    private String surnameEn;
    @Column(name = "systemmodstamp")
    @Temporal(TemporalType.TIMESTAMP)
    private Date systemmodstamp;
    @Column(name = "tax_base")
    private Short taxBase;
    @Column(name = "tax_based")
    private Short taxBased;
    @Column(name = "tax_id", length = 13)
    private String taxId;
    @Column(name = "temp")
    private Boolean temp;
    @Column(name = "test_date_time")
    @Temporal(TemporalType.TIMESTAMP)
    private Date testDateTime;
    @Column(name = "tickersymbol", length = 20)
    private String tickersymbol;
    @Column(name = "tier", length = 2)
    private String tier;
    @Column(name = "title_name_en", length = 80)
    private String titleNameEn;
    @Column(name = "transaction_rejected", length = 255)
    private String transactionRejected;
    @Column(name = "transaction_rejected_reason", length = 255)
    private String transactionRejectedReason;
    @Column(name = "type", length = 255)
    private String type;
    @Column(name = "upcoming_birthday_month", length = 1300)
    private String upcomingBirthdayMonth;
    @Column(name = "update_by", length = 80)
    private String updateBy;
    @Column(name = "valid_end_date")
    @Temporal(TemporalType.DATE)
    private Date validEndDate;
    @Column(name = "valid_start_date")
    @Temporal(TemporalType.DATE)
    private Date validStartDate;
    @Column(name = "wa_name", length = 1300)
    private String waName;
    @Column(name = "website", length = 255)
    private String website;
    @Column(name = "weight_kg")
    private Short weightKg;
    @Column(name = "working_company", length = 120)
    private String workingCompany;
    @Column(name = "x1_relationship", length = 50)
    private String x1Relationship;
    @Column(name = "x2_relationship", length = 50)
    private String x2Relationship;
    @Column(name = "x3_relationship", length = 50)
    private String x3Relationship;
    @Column(name = "position_effective_date_user_edited")
    @Temporal(TemporalType.DATE)
    private Date positionEffectiveDateUserEdited;
    @Column(name = "zone", length = 20)
    private String zone;
    @Column(name = "dummyof", length = 50)
    private String dummyOf;
    @Column(name = "dummytype", length = 50)
    private String dummyType;
    @Column(name = "dummystatus", length = 20)
    private String dummyStatus;
    @Column(name = "dummyeffectivedate")
    @Temporal(TemporalType.DATE)
    private Date dummyEffectiveDate;
    @Column(name = "dummyexpireddate")
    @Temporal(TemporalType.DATE)
    private Date dummyExpiredDate;
    @Column(name = "holdreason_agent_structure", length = 500)
    private String holdreasonAgentStructure;
    @Column(name = "holdflag_agent_structure")
    private Boolean holdflagAgentStructure;
    @Column(name = "holddate_agent_structure")
    @Temporal(TemporalType.DATE)
    private Date holddateAgentStructure;
    @Column(name = "holdreason_scm", length = 500)
    private String holdreasonScm;
    @Column(name = "holdflag_scm")
    private Boolean holdflagScm;
    @Column(name = "holddate_scm")
    @Temporal(TemporalType.DATE)
    private Date holddateScm;
    @Column(name = "holdreason_auto", length = 500)
    private String holdreasonAuto;
    @Column(name = "holdflag_auto")
    private Boolean holdflagAuto;
    @Column(name = "holddate_auto")
    @Temporal(TemporalType.DATE)
    private Date holddateAuto;
    @Column(name = "releasereason_agent_structure", length = 500)
    private String releasereasonAgentStructure;
    @Column(name = "releaseflag_agent_structure")
    private Boolean releaseflagAgentStructure;
    @Column(name = "releasedate_agent_structure")
    @Temporal(TemporalType.DATE)
    private Date releasedateAgentStructure;
    @Column(name = "releasereason_scm", length = 500)
    private String releasereasonScm;
    @Column(name = "releaseflag_scm")
    private Boolean releaseflagScm;
    @Column(name = "releasedate_scm")
    @Temporal(TemporalType.DATE)
    private Date releasedateScm;
    @Column(name = "releasereason_auto", length = 500)
    private String releasereasonAuto;
    @Column(name = "releaseflag_auto")
    private Boolean releaseflagAuto;
    @Column(name = "releasedate_auto")
    @Temporal(TemporalType.DATE)
    private Date releasedateAuto;
    @Column(name = "owneragentcorp", length = 20)
    private String ownerAgentCorp;
    @Column(name = "agentaddress", length = 500)
    private String agentAddress;
    @Column(name = "vatcheckbox")
    private Boolean vatcheckbox;
    @Column(name = "recruitingbonusbypass")
    private Boolean recruitingBonusByPass;
    @Column(name = "recruitingbonusmonthcount")
    private Long recruitingBonusMonthCount;
    @Column(name = "upline", length = 50)
    private String upline;
    @Column(name = "fraudflag", length = 100)
    private String fraudFlag;
    @Column(name = "frauddate")
    @Temporal(TemporalType.DATE)
    private Date fraudDate;
    @Column(name = "fraudreason", length = 500)
    private String fraudReason;
    @Column(name = "bypass_companytrustfund")
    private Boolean bypassCompanyTrustFund;
    @Column(name = "is_corporate")
    private Boolean isCorporate;

    public Account() {
    }

    public Account(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public Date getPositionEffectiveDateUserEdited() {
        return positionEffectiveDateUserEdited;
    }

    public void setPositionEffectiveDateUserEdited(Date positionEffectiveDateUserEdited) {
        this.positionEffectiveDateUserEdited = positionEffectiveDateUserEdited;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public String getDummyOf() {
        return dummyOf;
    }

    public void setDummyOf(String dummyOf) {
        this.dummyOf = dummyOf;
    }

    public String getDummyType() {
        return dummyType;
    }

    public void setDummyType(String dummyType) {
        this.dummyType = dummyType;
    }

    public String getDummyStatus() {
        return dummyStatus;
    }

    public void setDummyStatus(String dummyStatus) {
        this.dummyStatus = dummyStatus;
    }

    public Date getDummyEffectiveDate() {
        return dummyEffectiveDate;
    }

    public void setDummyEffectiveDate(Date dummyEffectiveDate) {
        this.dummyEffectiveDate = dummyEffectiveDate;
    }

    public Date getDummyExpiredDate() {
        return dummyExpiredDate;
    }

    public void setDummyExpiredDate(Date dummyExpiredDate) {
        this.dummyExpiredDate = dummyExpiredDate;
    }

    public String getHoldreasonAgentStructure() {
        return holdreasonAgentStructure;
    }

    public void setHoldreasonAgentStructure(String holdreasonAgentStructure) {
        this.holdreasonAgentStructure = holdreasonAgentStructure;
    }

    public Boolean getHoldflagAgentStructure() {
        return holdflagAgentStructure;
    }

    public void setHoldflagAgentStructure(Boolean holdflagAgentStructure) {
        this.holdflagAgentStructure = holdflagAgentStructure;
    }

    public Date getHolddateAgentStructure() {
        return holddateAgentStructure;
    }

    public void setHolddateAgentStructure(Date holddateAgentStructure) {
        this.holddateAgentStructure = holddateAgentStructure;
    }

    public String getHoldreasonScm() {
        return holdreasonScm;
    }

    public void setHoldreasonScm(String holdreasonScm) {
        this.holdreasonScm = holdreasonScm;
    }

    public Boolean isHoldflagScm() {
        return holdflagScm;
    }

    public void setHoldflagScm(Boolean holdflagScm) {
        this.holdflagScm = holdflagScm;
    }

    public Date getHolddateScm() {
        return holddateScm;
    }

    public void setHolddateScm(Date holddateScm) {
        this.holddateScm = holddateScm;
    }

    public String getHoldreasonAuto() {
        return holdreasonAuto;
    }

    public void setHoldreasonAuto(String holdreasonAuto) {
        this.holdreasonAuto = holdreasonAuto;
    }

    public Boolean getHoldflagAuto() {
        return holdflagAuto;
    }

    public void setHoldflagAuto(Boolean holdflagAuto) {
        this.holdflagAuto = holdflagAuto;
    }

    public Date getHolddateAuto() {
        return holddateAuto;
    }

    public void setHolddateAuto(Date holddateAuto) {
        this.holddateAuto = holddateAuto;
    }

    public String getReleasereasonAgentStructure() {
        return releasereasonAgentStructure;
    }

    public void setReleasereasonAgentStructure(String releasereasonAgentStructure) {
        this.releasereasonAgentStructure = releasereasonAgentStructure;
    }

    public Boolean getReleaseflagAgentStructure() {
        return releaseflagAgentStructure;
    }

    public void setReleaseflagAgentStructure(Boolean releaseflagAgentStructure) {
        this.releaseflagAgentStructure = releaseflagAgentStructure;
    }

    public Date getReleasedateAgentStructure() {
        return releasedateAgentStructure;
    }

    public void setReleasedateAgentStructure(Date releasedateAgentStructure) {
        this.releasedateAgentStructure = releasedateAgentStructure;
    }

    public String getReleasereasonScm() {
        return releasereasonScm;
    }

    public void setReleasereasonScm(String releasereasonScm) {
        this.releasereasonScm = releasereasonScm;
    }

    public Boolean getReleaseflagScm() {
        return releaseflagScm;
    }

    public void setReleaseflagScm(Boolean releaseflagScm) {
        this.releaseflagScm = releaseflagScm;
    }

    public Date getReleasedateScm() {
        return releasedateScm;
    }

    public void setReleasedateScm(Date releasedateScm) {
        this.releasedateScm = releasedateScm;
    }

    public String getReleasereasonAuto() {
        return releasereasonAuto;
    }

    public void setReleasereasonAuto(String releasereasonAuto) {
        this.releasereasonAuto = releasereasonAuto;
    }

    public Boolean getReleaseflagAuto() {
        return releaseflagAuto;
    }

    public void setReleaseflagAuto(Boolean releaseflagAuto) {
        this.releaseflagAuto = releaseflagAuto;
    }

    public Date getReleasedateAuto() {
        return releasedateAuto;
    }

    public void setReleasedateAuto(Date releasedateAuto) {
        this.releasedateAuto = releasedateAuto;
    }

    public String getOwnerAgentCorp() {
        return ownerAgentCorp;
    }

    public void setOwnerAgentCorp(String ownerAgentCorp) {
        this.ownerAgentCorp = ownerAgentCorp;
    }

    public String getAgentAddress() {
        return agentAddress;
    }

    public void setAgentAddress(String agentAddress) {
        this.agentAddress = agentAddress;
    }

    public Boolean getVatcheckbox() {
        return vatcheckbox;
    }

    public void setVatcheckbox(Boolean vatcheckbox) {
        this.vatcheckbox = vatcheckbox;
    }

    public Boolean getRecruitingBonusByPass() {
        return recruitingBonusByPass;
    }

    public void setRecruitingBonusByPass(Boolean recruitingBonusByPass) {
        this.recruitingBonusByPass = recruitingBonusByPass;
    }

    public Long getRecruitingBonusMonthCount() {
        return recruitingBonusMonthCount;
    }

    public void setRecruitingBonusMonthCount(Long recruitingBonusMonthCount) {
        this.recruitingBonusMonthCount = recruitingBonusMonthCount;
    }

    public String getUpline() {
        return upline;
    }

    public void setUpline(String upline) {
        this.upline = upline;
    }

    public String getFraudFlag() {
        return fraudFlag;
    }

    public void setFraudFlag(String fraudFlag) {
        this.fraudFlag = fraudFlag;
    }

    public Date getFraudDate() {
        return fraudDate;
    }

    public void setFraudDate(Date fraudDate) {
        this.fraudDate = fraudDate;
    }

    public String getFraudReason() {
        return fraudReason;
    }

    public void setFraudReason(String fraudReason) {
        this.fraudReason = fraudReason;
    }

    public Boolean getBypassCompanyTrustFund() {
        return bypassCompanyTrustFund;
    }

    public void setBypassCompanyTrustFund(Boolean bypassCompanyTrustFund) {
        this.bypassCompanyTrustFund = bypassCompanyTrustFund;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Boolean getAbsoluteAssignee() {
        return absoluteAssignee;
    }

    public void setAbsoluteAssignee(Boolean absoluteAssignee) {
        this.absoluteAssignee = absoluteAssignee;
    }

    public String getAccountClass() {
        return accountClass;
    }

    public void setAccountClass(String accountClass) {
        this.accountClass = accountClass;
    }

    public String getAccountOfCompany() {
        return accountOfCompany;
    }

    public void setAccountOfCompany(String accountOfCompany) {
        this.accountOfCompany = accountOfCompany;
    }

    public String getAccountType() {
        return accountType;
    }

    public void setAccountType(String accountType) {
        this.accountType = accountType;
    }

    public String getAccountid() {
        return accountid;
    }

    public void setAccountid(String accountid) {
        this.accountid = accountid;
    }

    public String getAccountnumber() {
        return accountnumber;
    }

    public void setAccountnumber(String accountnumber) {
        this.accountnumber = accountnumber;
    }

    public String getAccountsource() {
        return accountsource;
    }

    public void setAccountsource(String accountsource) {
        this.accountsource = accountsource;
    }

    public String getAddressId() {
        return addressId;
    }

    public void setAddressId(String addressId) {
        this.addressId = addressId;
    }

    public String getAddressNo() {
        return addressNo;
    }

    public void setAddressNo(String addressNo) {
        this.addressNo = addressNo;
    }

    public String getAddressTypeNo() {
        return addressTypeNo;
    }

    public void setAddressTypeNo(String addressTypeNo) {
        this.addressTypeNo = addressTypeNo;
    }

    public Long getAge() {
        return age;
    }

    public void setAge(Long age) {
        this.age = age;
    }

    public Boolean getAgent() {
        return agent;
    }

    public void setAgent(Boolean agent) {
        this.agent = agent;
    }

    public String getAgentBankAccountNo() {
        return agentBankAccountNo;
    }

    public void setAgentBankAccountNo(String agentBankAccountNo) {
        this.agentBankAccountNo = agentBankAccountNo;
    }

    public Date getAgentBirthDate() {
        return agentBirthDate;
    }

    public void setAgentBirthDate(Date agentBirthDate) {
        this.agentBirthDate = agentBirthDate;
    }

    public String getAgentCode() {
        return agentCode;
    }

    public void setAgentCode(String agentCode) {
        this.agentCode = agentCode;
    }

    public Date getAgentEffectiveDate() {
        return agentEffectiveDate;
    }

    public void setAgentEffectiveDate(Date agentEffectiveDate) {
        this.agentEffectiveDate = agentEffectiveDate;
    }

    public String getAgentEmailAddress() {
        return agentEmailAddress;
    }

    public void setAgentEmailAddress(String agentEmailAddress) {
        this.agentEmailAddress = agentEmailAddress;
    }

    public String getAgentEmailAddressTemp() {
        return agentEmailAddressTemp;
    }

    public void setAgentEmailAddressTemp(String agentEmailAddressTemp) {
        this.agentEmailAddressTemp = agentEmailAddressTemp;
    }

    public String getAgentEsd() {
        return agentEsd;
    }

    public void setAgentEsd(String agentEsd) {
        this.agentEsd = agentEsd;
    }

    public String getAgentEsdStaging() {
        return agentEsdStaging;
    }

    public void setAgentEsdStaging(String agentEsdStaging) {
        this.agentEsdStaging = agentEsdStaging;
    }

    public String getAgentFirstName() {
        return agentFirstName;
    }

    public void setAgentFirstName(String agentFirstName) {
        this.agentFirstName = agentFirstName;
    }

    public String getAgentIdCard() {
        return agentIdCard;
    }

    public void setAgentIdCard(String agentIdCard) {
        this.agentIdCard = agentIdCard;
    }

    public Date getAgentJoinDate() {
        return agentJoinDate;
    }

    public void setAgentJoinDate(Date agentJoinDate) {
        this.agentJoinDate = agentJoinDate;
    }

    public String getAgentLevelCode() {
        return agentLevelCode;
    }

    public void setAgentLevelCode(String agentLevelCode) {
        this.agentLevelCode = agentLevelCode;
    }

    public String getAgentLevelCodeDetail() {
        return agentLevelCodeDetail;
    }

    public void setAgentLevelCodeDetail(String agentLevelCodeDetail) {
        this.agentLevelCodeDetail = agentLevelCodeDetail;
    }

    public String getAgentLevelName() {
        return agentLevelName;
    }

    public void setAgentLevelName(String agentLevelName) {
        this.agentLevelName = agentLevelName;
    }

    public String getAgentLevelNamePrior() {
        return agentLevelNamePrior;
    }

    public void setAgentLevelNamePrior(String agentLevelNamePrior) {
        this.agentLevelNamePrior = agentLevelNamePrior;
    }

    public String getAgentLevelShortName() {
        return agentLevelShortName;
    }

    public void setAgentLevelShortName(String agentLevelShortName) {
        this.agentLevelShortName = agentLevelShortName;
    }

    public String getAgentLicenseCode() {
        return agentLicenseCode;
    }

    public void setAgentLicenseCode(String agentLicenseCode) {
        this.agentLicenseCode = agentLicenseCode;
    }

    public Date getAgentLicenseEffectiveDate() {
        return agentLicenseEffectiveDate;
    }

    public void setAgentLicenseEffectiveDate(Date agentLicenseEffectiveDate) {
        this.agentLicenseEffectiveDate = agentLicenseEffectiveDate;
    }

    public Date getAgentLicenseExpireDate() {
        return agentLicenseExpireDate;
    }

    public void setAgentLicenseExpireDate(Date agentLicenseExpireDate) {
        this.agentLicenseExpireDate = agentLicenseExpireDate;
    }

    public Date getAgentLicenseFirstRegisterDate() {
        return agentLicenseFirstRegisterDate;
    }

    public void setAgentLicenseFirstRegisterDate(Date agentLicenseFirstRegisterDate) {
        this.agentLicenseFirstRegisterDate = agentLicenseFirstRegisterDate;
    }

    public Boolean getAgentLicenseFirstRegisterDatelastmon() {
        return agentLicenseFirstRegisterDatelastmon;
    }

    public void setAgentLicenseFirstRegisterDatelastmon(Boolean agentLicenseFirstRegisterDatelastmon) {
        this.agentLicenseFirstRegisterDatelastmon = agentLicenseFirstRegisterDatelastmon;
    }

    public Date getAgentLicenseRegisterDate() {
        return agentLicenseRegisterDate;
    }

    public void setAgentLicenseRegisterDate(Date agentLicenseRegisterDate) {
        this.agentLicenseRegisterDate = agentLicenseRegisterDate;
    }

    public String getAgentLine() {
        return agentLine;
    }

    public void setAgentLine(String agentLine) {
        this.agentLine = agentLine;
    }

    public String getAgentLineStaging() {
        return agentLineStaging;
    }

    public void setAgentLineStaging(String agentLineStaging) {
        this.agentLineStaging = agentLineStaging;
    }

    public String getAgentMobileNo() {
        return agentMobileNo;
    }

    public void setAgentMobileNo(String agentMobileNo) {
        this.agentMobileNo = agentMobileNo;
    }

    public String getAgentPendingReason() {
        return agentPendingReason;
    }

    public void setAgentPendingReason(String agentPendingReason) {
        this.agentPendingReason = agentPendingReason;
    }

    public String getAgentRecruiterCode() {
        return agentRecruiterCode;
    }

    public void setAgentRecruiterCode(String agentRecruiterCode) {
        this.agentRecruiterCode = agentRecruiterCode;
    }

    public Date getAgentRejoinDate() {
        return agentRejoinDate;
    }

    public void setAgentRejoinDate(Date agentRejoinDate) {
        this.agentRejoinDate = agentRejoinDate;
    }

    public String getAgentSd() {
        return agentSd;
    }

    public void setAgentSd(String agentSd) {
        this.agentSd = agentSd;
    }

    public String getAgentSdStaging() {
        return agentSdStaging;
    }

    public void setAgentSdStaging(String agentSdStaging) {
        this.agentSdStaging = agentSdStaging;
    }

    public String getAgentServicingLevelNamePrior() {
        return agentServicingLevelNamePrior;
    }

    public void setAgentServicingLevelNamePrior(String agentServicingLevelNamePrior) {
        this.agentServicingLevelNamePrior = agentServicingLevelNamePrior;
    }

    public String getAgentSm() {
        return agentSm;
    }

    public void setAgentSm(String agentSm) {
        this.agentSm = agentSm;
    }

    public String getAgentSmStaging() {
        return agentSmStaging;
    }

    public void setAgentSmStaging(String agentSmStaging) {
        this.agentSmStaging = agentSmStaging;
    }

    public String getAgentStatus() {
        return agentStatus;
    }

    public void setAgentStatus(String agentStatus) {
        this.agentStatus = agentStatus;
    }

    public String getAgentSurname() {
        return agentSurname;
    }

    public void setAgentSurname(String agentSurname) {
        this.agentSurname = agentSurname;
    }

    public Date getAgentTerminateDate() {
        return agentTerminateDate;
    }

    public void setAgentTerminateDate(Date agentTerminateDate) {
        this.agentTerminateDate = agentTerminateDate;
    }

    public String getAgentTerminateReason() {
        return agentTerminateReason;
    }

    public void setAgentTerminateReason(String agentTerminateReason) {
        this.agentTerminateReason = agentTerminateReason;
    }

    public String getAgentTitleName() {
        return agentTitleName;
    }

    public void setAgentTitleName(String agentTitleName) {
        this.agentTitleName = agentTitleName;
    }

    public String getAgentTypeName() {
        return agentTypeName;
    }

    public void setAgentTypeName(String agentTypeName) {
        this.agentTypeName = agentTypeName;
    }

    public Long getAnnualIncome() {
        return annualIncome;
    }

    public void setAnnualIncome(Long annualIncome) {
        this.annualIncome = annualIncome;
    }

    public String getAnnualInvestmentSavingAllocation() {
        return annualInvestmentSavingAllocation;
    }

    public void setAnnualInvestmentSavingAllocation(String annualInvestmentSavingAllocation) {
        this.annualInvestmentSavingAllocation = annualInvestmentSavingAllocation;
    }

    public Long getAnnuallyIncome() {
        return annuallyIncome;
    }

    public void setAnnuallyIncome(Long annuallyIncome) {
        this.annuallyIncome = annuallyIncome;
    }

    public Long getAnnualrevenue() {
        return annualrevenue;
    }

    public void setAnnualrevenue(Long annualrevenue) {
        this.annualrevenue = annualrevenue;
    }

    public Long getAuthorizedCapital() {
        return authorizedCapital;
    }

    public void setAuthorizedCapital(Long authorizedCapital) {
        this.authorizedCapital = authorizedCapital;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public Boolean getBeneficiary() {
        return beneficiary;
    }

    public void setBeneficiary(Boolean beneficiary) {
        this.beneficiary = beneficiary;
    }

    public String getBeneficiary1FirstLastName() {
        return beneficiary1FirstLastName;
    }

    public void setBeneficiary1FirstLastName(String beneficiary1FirstLastName) {
        this.beneficiary1FirstLastName = beneficiary1FirstLastName;
    }

    public String getBeneficiary2FirstLastName() {
        return beneficiary2FirstLastName;
    }

    public void setBeneficiary2FirstLastName(String beneficiary2FirstLastName) {
        this.beneficiary2FirstLastName = beneficiary2FirstLastName;
    }

    public String getBeneficiary3FirstLastName() {
        return beneficiary3FirstLastName;
    }

    public void setBeneficiary3FirstLastName(String beneficiary3FirstLastName) {
        this.beneficiary3FirstLastName = beneficiary3FirstLastName;
    }

    public String getBeneficiaryOfInvestmentTransaction() {
        return beneficiaryOfInvestmentTransaction;
    }

    public void setBeneficiaryOfInvestmentTransaction(String beneficiaryOfInvestmentTransaction) {
        this.beneficiaryOfInvestmentTransaction = beneficiaryOfInvestmentTransaction;
    }

    public String getBillingaddress() {
        return billingaddress;
    }

    public void setBillingaddress(String billingaddress) {
        this.billingaddress = billingaddress;
    }

    public String getBillingcity() {
        return billingcity;
    }

    public void setBillingcity(String billingcity) {
        this.billingcity = billingcity;
    }

    public String getBillingcountry() {
        return billingcountry;
    }

    public void setBillingcountry(String billingcountry) {
        this.billingcountry = billingcountry;
    }

    public String getBillinggeocodeaccuracy() {
        return billinggeocodeaccuracy;
    }

    public void setBillinggeocodeaccuracy(String billinggeocodeaccuracy) {
        this.billinggeocodeaccuracy = billinggeocodeaccuracy;
    }

    public BigDecimal getBillinglatitude() {
        return billinglatitude;
    }

    public void setBillinglatitude(BigDecimal billinglatitude) {
        this.billinglatitude = billinglatitude;
    }

    public BigDecimal getBillinglongitude() {
        return billinglongitude;
    }

    public void setBillinglongitude(BigDecimal billinglongitude) {
        this.billinglongitude = billinglongitude;
    }

    public String getBillingpostalcode() {
        return billingpostalcode;
    }

    public void setBillingpostalcode(String billingpostalcode) {
        this.billingpostalcode = billingpostalcode;
    }

    public String getBillingstate() {
        return billingstate;
    }

    public void setBillingstate(String billingstate) {
        this.billingstate = billingstate;
    }

    public String getBillingstreet() {
        return billingstreet;
    }

    public void setBillingstreet(String billingstreet) {
        this.billingstreet = billingstreet;
    }

    public String getBusinessDetails() {
        return businessDetails;
    }

    public void setBusinessDetails(String businessDetails) {
        this.businessDetails = businessDetails;
    }

    public String getBusinessTitle() {
        return businessTitle;
    }

    public void setBusinessTitle(String businessTitle) {
        this.businessTitle = businessTitle;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getChangeRiskComment() {
        return changeRiskComment;
    }

    public void setChangeRiskComment(String changeRiskComment) {
        this.changeRiskComment = changeRiskComment;
    }

    public String getChangeStatusDate() {
        return changeStatusDate;
    }

    public void setChangeStatusDate(String changeStatusDate) {
        this.changeStatusDate = changeStatusDate;
    }

    public String getChangeStatusReason() {
        return changeStatusReason;
    }

    public void setChangeStatusReason(String changeStatusReason) {
        this.changeStatusReason = changeStatusReason;
    }

    public String getChannelprogramlevelname() {
        return channelprogramlevelname;
    }

    public void setChannelprogramlevelname(String channelprogramlevelname) {
        this.channelprogramlevelname = channelprogramlevelname;
    }

    public String getChannelprogramname() {
        return channelprogramname;
    }

    public void setChannelprogramname(String channelprogramname) {
        this.channelprogramname = channelprogramname;
    }

    public String getCidNo() {
        return cidNo;
    }

    public void setCidNo(String cidNo) {
        this.cidNo = cidNo;
    }

    public Boolean getColdCall() {
        return coldCall;
    }

    public void setColdCall(Boolean coldCall) {
        this.coldCall = coldCall;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyNameEn() {
        return companyNameEn;
    }

    public void setCompanyNameEn(String companyNameEn) {
        this.companyNameEn = companyNameEn;
    }

    public Date getCompanyRegisteredDate() {
        return companyRegisteredDate;
    }

    public void setCompanyRegisteredDate(Date companyRegisteredDate) {
        this.companyRegisteredDate = companyRegisteredDate;
    }

    public String getComparename() {
        return comparename;
    }

    public void setComparename(String comparename) {
        this.comparename = comparename;
    }

    public String getComparesite() {
        return comparesite;
    }

    public void setComparesite(String comparesite) {
        this.comparesite = comparesite;
    }

    public Date getConnectionreceiveddate() {
        return connectionreceiveddate;
    }

    public void setConnectionreceiveddate(Date connectionreceiveddate) {
        this.connectionreceiveddate = connectionreceiveddate;
    }

    public Date getConnectionsentdate() {
        return connectionsentdate;
    }

    public void setConnectionsentdate(Date connectionsentdate) {
        this.connectionsentdate = connectionsentdate;
    }

    public String getContactEmail1() {
        return contactEmail1;
    }

    public void setContactEmail1(String contactEmail1) {
        this.contactEmail1 = contactEmail1;
    }

    public String getContactEmail2() {
        return contactEmail2;
    }

    public void setContactEmail2(String contactEmail2) {
        this.contactEmail2 = contactEmail2;
    }

    public String getContactEmail3() {
        return contactEmail3;
    }

    public void setContactEmail3(String contactEmail3) {
        this.contactEmail3 = contactEmail3;
    }

    public Date getConvertedDated() {
        return convertedDated;
    }

    public void setConvertedDated(Date convertedDated) {
        this.convertedDated = convertedDated;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }

    public String getCustomerClass() {
        return customerClass;
    }

    public void setCustomerClass(String customerClass) {
        this.customerClass = customerClass;
    }

    public String getCustomerRiskAssessment() {
        return customerRiskAssessment;
    }

    public void setCustomerRiskAssessment(String customerRiskAssessment) {
        this.customerRiskAssessment = customerRiskAssessment;
    }

    public String getCustomerStatus() {
        return customerStatus;
    }

    public void setCustomerStatus(String customerStatus) {
        this.customerStatus = customerStatus;
    }

    public String getCustomerType() {
        return customerType;
    }

    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }

    public Date getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(Date dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getDays() {
        return days;
    }

    public void setDays(String days) {
        this.days = days;
    }

    public Long getDaysAsCustomer() {
        return daysAsCustomer;
    }

    public void setDaysAsCustomer(Long daysAsCustomer) {
        this.daysAsCustomer = daysAsCustomer;
    }

    public Long getDaysAsProspect() {
        return daysAsProspect;
    }

    public void setDaysAsProspect(Long daysAsProspect) {
        this.daysAsProspect = daysAsProspect;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDistrictId() {
        return districtId;
    }

    public void setDistrictId(String districtId) {
        this.districtId = districtId;
    }

    public Integer getDrivingLicenseNo() {
        return drivingLicenseNo;
    }

    public void setDrivingLicenseNo(Integer drivingLicenseNo) {
        this.drivingLicenseNo = drivingLicenseNo;
    }

    public String getDrivingLicenseNumber() {
        return drivingLicenseNumber;
    }

    public void setDrivingLicenseNumber(String drivingLicenseNumber) {
        this.drivingLicenseNumber = drivingLicenseNumber;
    }

    public String getEmail2() {
        return email2;
    }

    public void setEmail2(String email2) {
        this.email2 = email2;
    }

    public String getEmail3() {
        return email3;
    }

    public void setEmail3(String email3) {
        this.email3 = email3;
    }

    public String getEmailTemp() {
        return emailTemp;
    }

    public void setEmailTemp(String emailTemp) {
        this.emailTemp = emailTemp;
    }

    public Boolean getEmployee() {
        return employee;
    }

    public void setEmployee(Boolean employee) {
        this.employee = employee;
    }

    public String getEmployeeCode() {
        return employeeCode;
    }

    public void setEmployeeCode(String employeeCode) {
        this.employeeCode = employeeCode;
    }

    public String getEsdAccountName() {
        return esdAccountName;
    }

    public void setEsdAccountName(String esdAccountName) {
        this.esdAccountName = esdAccountName;
    }

    public String getEsdAccountNamePrior() {
        return esdAccountNamePrior;
    }

    public void setEsdAccountNamePrior(String esdAccountNamePrior) {
        this.esdAccountNamePrior = esdAccountNamePrior;
    }

    public String getEsdAgentCode() {
        return esdAgentCode;
    }

    public void setEsdAgentCode(String esdAgentCode) {
        this.esdAgentCode = esdAgentCode;
    }

    public String getEsdUnitCode() {
        return esdUnitCode;
    }

    public void setEsdUnitCode(String esdUnitCode) {
        this.esdUnitCode = esdUnitCode;
    }

    public String getEsdUnitName() {
        return esdUnitName;
    }

    public void setEsdUnitName(String esdUnitName) {
        this.esdUnitName = esdUnitName;
    }

    public Short getEstimateAge() {
        return estimateAge;
    }

    public void setEstimateAge(Short estimateAge) {
        this.estimateAge = estimateAge;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getFax2() {
        return fax2;
    }

    public void setFax2(String fax2) {
        this.fax2 = fax2;
    }

    public String getFax3() {
        return fax3;
    }

    public void setFax3(String fax3) {
        this.fax3 = fax3;
    }

    public String getFax4() {
        return fax4;
    }

    public void setFax4(String fax4) {
        this.fax4 = fax4;
    }

    public String getFax5() {
        return fax5;
    }

    public void setFax5(String fax5) {
        this.fax5 = fax5;
    }

    public Date getFirstContact() {
        return firstContact;
    }

    public void setFirstContact(Date firstContact) {
        this.firstContact = firstContact;
    }

    public String getFirstNameEn() {
        return firstNameEn;
    }

    public void setFirstNameEn(String firstNameEn) {
        this.firstNameEn = firstNameEn;
    }

    public String getFirstname() {
        return firstname;
    }

    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }

    public String getFormerFirstNameEn() {
        return formerFirstNameEn;
    }

    public void setFormerFirstNameEn(String formerFirstNameEn) {
        this.formerFirstNameEn = formerFirstNameEn;
    }

    public String getFormerFirstNameEng() {
        return formerFirstNameEng;
    }

    public void setFormerFirstNameEng(String formerFirstNameEng) {
        this.formerFirstNameEng = formerFirstNameEng;
    }

    public String getFormerFirstNameTh() {
        return formerFirstNameTh;
    }

    public void setFormerFirstNameTh(String formerFirstNameTh) {
        this.formerFirstNameTh = formerFirstNameTh;
    }

    public String getFormerLastNameEn() {
        return formerLastNameEn;
    }

    public void setFormerLastNameEn(String formerLastNameEn) {
        this.formerLastNameEn = formerLastNameEn;
    }

    public String getFormerLastNameEng() {
        return formerLastNameEng;
    }

    public void setFormerLastNameEng(String formerLastNameEng) {
        this.formerLastNameEng = formerLastNameEng;
    }

    public String getFormerLastNameTh() {
        return formerLastNameTh;
    }

    public void setFormerLastNameTh(String formerLastNameTh) {
        this.formerLastNameTh = formerLastNameTh;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getGovernmentId() {
        return governmentId;
    }

    public void setGovernmentId(String governmentId) {
        this.governmentId = governmentId;
    }

    public Short getHeightCm() {
        return heightCm;
    }

    public void setHeightCm(Short heightCm) {
        this.heightCm = heightCm;
    }

    public String getHighestEducation() {
        return highestEducation;
    }

    public void setHighestEducation(String highestEducation) {
        this.highestEducation = highestEducation;
    }

    public Boolean getHoldingCommonStockCheck() {
        return holdingCommonStockCheck;
    }

    public void setHoldingCommonStockCheck(Boolean holdingCommonStockCheck) {
        this.holdingCommonStockCheck = holdingCommonStockCheck;
    }

    public Boolean getHoldingGovernmentBondCheck() {
        return holdingGovernmentBondCheck;
    }

    public void setHoldingGovernmentBondCheck(Boolean holdingGovernmentBondCheck) {
        this.holdingGovernmentBondCheck = holdingGovernmentBondCheck;
    }

    public Boolean getHoldingLifeInsuranceAnnuityCheck() {
        return holdingLifeInsuranceAnnuityCheck;
    }

    public void setHoldingLifeInsuranceAnnuityCheck(Boolean holdingLifeInsuranceAnnuityCheck) {
        this.holdingLifeInsuranceAnnuityCheck = holdingLifeInsuranceAnnuityCheck;
    }

    public Boolean getHoldingLifeInsuranceSavingCheck() {
        return holdingLifeInsuranceSavingCheck;
    }

    public void setHoldingLifeInsuranceSavingCheck(Boolean holdingLifeInsuranceSavingCheck) {
        this.holdingLifeInsuranceSavingCheck = holdingLifeInsuranceSavingCheck;
    }

    public Boolean getHoldingLtfRmfCheck() {
        return holdingLtfRmfCheck;
    }

    public void setHoldingLtfRmfCheck(Boolean holdingLtfRmfCheck) {
        this.holdingLtfRmfCheck = holdingLtfRmfCheck;
    }

    public Boolean getHoldingMutualFundCheck() {
        return holdingMutualFundCheck;
    }

    public void setHoldingMutualFundCheck(Boolean holdingMutualFundCheck) {
        this.holdingMutualFundCheck = holdingMutualFundCheck;
    }

    public String getHoldingOtherInvestmentProduct() {
        return holdingOtherInvestmentProduct;
    }

    public void setHoldingOtherInvestmentProduct(String holdingOtherInvestmentProduct) {
        this.holdingOtherInvestmentProduct = holdingOtherInvestmentProduct;
    }

    public Boolean getHoldingPrivateDebentureCheck() {
        return holdingPrivateDebentureCheck;
    }

    public void setHoldingPrivateDebentureCheck(Boolean holdingPrivateDebentureCheck) {
        this.holdingPrivateDebentureCheck = holdingPrivateDebentureCheck;
    }

    public Boolean getHoldingSavingAccountLess12MthCheck() {
        return holdingSavingAccountLess12MthCheck;
    }

    public void setHoldingSavingAccountLess12MthCheck(Boolean holdingSavingAccountLess12MthCheck) {
        this.holdingSavingAccountLess12MthCheck = holdingSavingAccountLess12MthCheck;
    }

    public Boolean getHoldingSavingAccountMore12MthCheck() {
        return holdingSavingAccountMore12MthCheck;
    }

    public void setHoldingSavingAccountMore12MthCheck(Boolean holdingSavingAccountMore12MthCheck) {
        this.holdingSavingAccountMore12MthCheck = holdingSavingAccountMore12MthCheck;
    }

    public Boolean getHoldingUnitLinkUniversalLifeCheck() {
        return holdingUnitLinkUniversalLifeCheck;
    }

    public void setHoldingUnitLinkUniversalLifeCheck(Boolean holdingUnitLinkUniversalLifeCheck) {
        this.holdingUnitLinkUniversalLifeCheck = holdingUnitLinkUniversalLifeCheck;
    }

    public String getHomePhone2() {
        return homePhone2;
    }

    public void setHomePhone2(String homePhone2) {
        this.homePhone2 = homePhone2;
    }

    public String getHomePhone3() {
        return homePhone3;
    }

    public void setHomePhone3(String homePhone3) {
        this.homePhone3 = homePhone3;
    }

    public String getHomePhone4() {
        return homePhone4;
    }

    public void setHomePhone4(String homePhone4) {
        this.homePhone4 = homePhone4;
    }

    public String getHomePhone5() {
        return homePhone5;
    }

    public void setHomePhone5(String homePhone5) {
        this.homePhone5 = homePhone5;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public Date getIdCardExpirationDate() {
        return idCardExpirationDate;
    }

    public void setIdCardExpirationDate(Date idCardExpirationDate) {
        this.idCardExpirationDate = idCardExpirationDate;
    }

    public Date getIdCardExpiredDate() {
        return idCardExpiredDate;
    }

    public void setIdCardExpiredDate(Date idCardExpiredDate) {
        this.idCardExpiredDate = idCardExpiredDate;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getIdCustomerClass() {
        return idCustomerClass;
    }

    public void setIdCustomerClass(String idCustomerClass) {
        this.idCustomerClass = idCustomerClass;
    }

    public Boolean getInactive() {
        return inactive;
    }

    public void setInactive(Boolean inactive) {
        this.inactive = inactive;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public Boolean getInsured() {
        return insured;
    }

    public void setInsured(Boolean insured) {
        this.insured = insured;
    }

    public Boolean getIsBirthNextMonth() {
        return isBirthNextMonth;
    }

    public void setIsBirthNextMonth(Boolean isBirthNextMonth) {
        this.isBirthNextMonth = isBirthNextMonth;
    }

    public Boolean getIsBirthPreviousMonth() {
        return isBirthPreviousMonth;
    }

    public void setIsBirthPreviousMonth(Boolean isBirthPreviousMonth) {
        this.isBirthPreviousMonth = isBirthPreviousMonth;
    }

    public Boolean getIsBirthThisMonth() {
        return isBirthThisMonth;
    }

    public void setIsBirthThisMonth(Boolean isBirthThisMonth) {
        this.isBirthThisMonth = isBirthThisMonth;
    }

    public Boolean getIsInserted() {
        return isInserted;
    }

    public void setIsInserted(Boolean isInserted) {
        this.isInserted = isInserted;
    }

    public BigDecimal getIsLicenseRenewal() {
        return isLicenseRenewal;
    }

    public void setIsLicenseRenewal(BigDecimal isLicenseRenewal) {
        this.isLicenseRenewal = isLicenseRenewal;
    }

    public Boolean getIsPartnerCommunity() {
        return isPartnerCommunity;
    }

    public void setIsPartnerCommunity(Boolean isPartnerCommunity) {
        this.isPartnerCommunity = isPartnerCommunity;
    }

    public Boolean getIsUpdated() {
        return isUpdated;
    }

    public void setIsUpdated(Boolean isUpdated) {
        this.isUpdated = isUpdated;
    }

    public Boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(Boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public Boolean getIslicensed() {
        return islicensed;
    }

    public void setIslicensed(Boolean islicensed) {
        this.islicensed = islicensed;
    }

    public Boolean getIspartner() {
        return ispartner;
    }

    public void setIspartner(Boolean ispartner) {
        this.ispartner = ispartner;
    }

    public Boolean getIspersonaccount() {
        return ispersonaccount;
    }

    public void setIspersonaccount(Boolean ispersonaccount) {
        this.ispersonaccount = ispersonaccount;
    }

    public Boolean getIsterminated() {
        return isterminated;
    }

    public void setIsterminated(Boolean isterminated) {
        this.isterminated = isterminated;
    }

    public String getJigsaw() {
        return jigsaw;
    }

    public void setJigsaw(String jigsaw) {
        this.jigsaw = jigsaw;
    }

    public String getJigsawcompanyid() {
        return jigsawcompanyid;
    }

    public void setJigsawcompanyid(String jigsawcompanyid) {
        this.jigsawcompanyid = jigsawcompanyid;
    }

    public String getJuristicNo() {
        return juristicNo;
    }

    public void setJuristicNo(String juristicNo) {
        this.juristicNo = juristicNo;
    }

    public String getLastNameEn() {
        return lastNameEn;
    }

    public void setLastNameEn(String lastNameEn) {
        this.lastNameEn = lastNameEn;
    }

    public Date getLastVisit() {
        return lastVisit;
    }

    public void setLastVisit(Date lastVisit) {
        this.lastVisit = lastVisit;
    }

    public Date getLastactivitydate() {
        return lastactivitydate;
    }

    public void setLastactivitydate(Date lastactivitydate) {
        this.lastactivitydate = lastactivitydate;
    }

    public String getLastmodifiedbyid() {
        return lastmodifiedbyid;
    }

    public void setLastmodifiedbyid(String lastmodifiedbyid) {
        this.lastmodifiedbyid = lastmodifiedbyid;
    }

    public Date getLastmodifieddate() {
        return lastmodifieddate;
    }

    public void setLastmodifieddate(Date lastmodifieddate) {
        this.lastmodifieddate = lastmodifieddate;
    }

    public String getLastname() {
        return lastname;
    }

    public void setLastname(String lastname) {
        this.lastname = lastname;
    }

    public Date getLastreferenceddate() {
        return lastreferenceddate;
    }

    public void setLastreferenceddate(Date lastreferenceddate) {
        this.lastreferenceddate = lastreferenceddate;
    }

    public Date getLastvieweddate() {
        return lastvieweddate;
    }

    public void setLastvieweddate(Date lastvieweddate) {
        this.lastvieweddate = lastvieweddate;
    }

    public Boolean getLife() {
        return life;
    }

    public void setLife(Boolean life) {
        this.life = life;
    }

    public BigDecimal getLifeSumInsure() {
        return lifeSumInsure;
    }

    public void setLifeSumInsure(BigDecimal lifeSumInsure) {
        this.lifeSumInsure = lifeSumInsure;
    }

    public String getLineAccounName() {
        return lineAccounName;
    }

    public void setLineAccounName(String lineAccounName) {
        this.lineAccounName = lineAccounName;
    }

    public String getLineAccountNamePrior() {
        return lineAccountNamePrior;
    }

    public void setLineAccountNamePrior(String lineAccountNamePrior) {
        this.lineAccountNamePrior = lineAccountNamePrior;
    }

    public String getLineAgentCode() {
        return lineAgentCode;
    }

    public void setLineAgentCode(String lineAgentCode) {
        this.lineAgentCode = lineAgentCode;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getLineUnitCode() {
        return lineUnitCode;
    }

    public void setLineUnitCode(String lineUnitCode) {
        this.lineUnitCode = lineUnitCode;
    }

    public String getLineUnitName() {
        return lineUnitName;
    }

    public void setLineUnitName(String lineUnitName) {
        this.lineUnitName = lineUnitName;
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getMasterrecordid() {
        return masterrecordid;
    }

    public void setMasterrecordid(String masterrecordid) {
        this.masterrecordid = masterrecordid;
    }

    public String getMiddlenameEn() {
        return middlenameEn;
    }

    public void setMiddlenameEn(String middlenameEn) {
        this.middlenameEn = middlenameEn;
    }

    public String getMiddlenameTh() {
        return middlenameTh;
    }

    public void setMiddlenameTh(String middlenameTh) {
        this.middlenameTh = middlenameTh;
    }

    public String getMobile2() {
        return mobile2;
    }

    public void setMobile2(String mobile2) {
        this.mobile2 = mobile2;
    }

    public String getMobile3() {
        return mobile3;
    }

    public void setMobile3(String mobile3) {
        this.mobile3 = mobile3;
    }

    public String getMobile4() {
        return mobile4;
    }

    public void setMobile4(String mobile4) {
        this.mobile4 = mobile4;
    }

    public String getMobile5() {
        return mobile5;
    }

    public void setMobile5(String mobile5) {
        this.mobile5 = mobile5;
    }

    public String getMoneyLaundryInPast3Years() {
        return moneyLaundryInPast3Years;
    }

    public void setMoneyLaundryInPast3Years(String moneyLaundryInPast3Years) {
        this.moneyLaundryInPast3Years = moneyLaundryInPast3Years;
    }

    public Long getMonthlyIncome() {
        return monthlyIncome;
    }

    public void setMonthlyIncome(Long monthlyIncome) {
        this.monthlyIncome = monthlyIncome;
    }

    public BigDecimal getMotor() {
        return motor;
    }

    public void setMotor(BigDecimal motor) {
        this.motor = motor;
    }

    public Boolean getMutualFund() {
        return mutualFund;
    }

    public void setMutualFund(Boolean mutualFund) {
        this.mutualFund = mutualFund;
    }

    public BigDecimal getMutualFundValue() {
        return mutualFundValue;
    }

    public void setMutualFundValue(BigDecimal mutualFundValue) {
        this.mutualFundValue = mutualFundValue;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public String getNationality() {
        return nationality;
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getNationalityDummy() {
        return nationalityDummy;
    }

    public void setNationalityDummy(String nationalityDummy) {
        this.nationalityDummy = nationalityDummy;
    }

    public Long getNetWorth() {
        return netWorth;
    }

    public void setNetWorth(Long netWorth) {
        this.netWorth = netWorth;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Long getNoOfClosedWonOpportunity() {
        return noOfClosedWonOpportunity;
    }

    public void setNoOfClosedWonOpportunity(Long noOfClosedWonOpportunity) {
        this.noOfClosedWonOpportunity = noOfClosedWonOpportunity;
    }

    public Long getNoOfLifePolicy() {
        return noOfLifePolicy;
    }

    public void setNoOfLifePolicy(Long noOfLifePolicy) {
        this.noOfLifePolicy = noOfLifePolicy;
    }

    public Long getNoOfMutualFundAccount() {
        return noOfMutualFundAccount;
    }

    public void setNoOfMutualFundAccount(Long noOfMutualFundAccount) {
        this.noOfMutualFundAccount = noOfMutualFundAccount;
    }

    public Long getNoOfNonLifePolicy() {
        return noOfNonLifePolicy;
    }

    public void setNoOfNonLifePolicy(Long noOfNonLifePolicy) {
        this.noOfNonLifePolicy = noOfNonLifePolicy;
    }

    public Boolean getNonLife() {
        return nonLife;
    }

    public void setNonLife(Boolean nonLife) {
        this.nonLife = nonLife;
    }

    public BigDecimal getNonMotor() {
        return nonMotor;
    }

    public void setNonMotor(BigDecimal nonMotor) {
        this.nonMotor = nonMotor;
    }

    public Short getNumberOfChild() {
        return numberOfChild;
    }

    public void setNumberOfChild(Short numberOfChild) {
        this.numberOfChild = numberOfChild;
    }

    public Long getNumberOfChildren() {
        return numberOfChildren;
    }

    public void setNumberOfChildren(Long numberOfChildren) {
        this.numberOfChildren = numberOfChildren;
    }

    public Long getNumberOfDaySCreated() {
        return numberOfDaySCreated;
    }

    public void setNumberOfDaySCreated(Long numberOfDaySCreated) {
        this.numberOfDaySCreated = numberOfDaySCreated;
    }

    public Short getNumberOfFamilyMember() {
        return numberOfFamilyMember;
    }

    public void setNumberOfFamilyMember(Short numberOfFamilyMember) {
        this.numberOfFamilyMember = numberOfFamilyMember;
    }

    public Integer getNumberofemployees() {
        return numberofemployees;
    }

    public void setNumberofemployees(Integer numberofemployees) {
        this.numberofemployees = numberofemployees;
    }

    public Boolean getObjectiveInvestmentCheck() {
        return objectiveInvestmentCheck;
    }

    public void setObjectiveInvestmentCheck(Boolean objectiveInvestmentCheck) {
        this.objectiveInvestmentCheck = objectiveInvestmentCheck;
    }

    public String getObjectiveOtherObjective() {
        return objectiveOtherObjective;
    }

    public void setObjectiveOtherObjective(String objectiveOtherObjective) {
        this.objectiveOtherObjective = objectiveOtherObjective;
    }

    public Boolean getObjectiveRetirementCheck() {
        return objectiveRetirementCheck;
    }

    public void setObjectiveRetirementCheck(Boolean objectiveRetirementCheck) {
        this.objectiveRetirementCheck = objectiveRetirementCheck;
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    public String getOccupationClassification() {
        return occupationClassification;
    }

    public void setOccupationClassification(String occupationClassification) {
        this.occupationClassification = occupationClassification;
    }

    public String getOfficePhone() {
        return officePhone;
    }

    public void setOfficePhone(String officePhone) {
        this.officePhone = officePhone;
    }

    public String getOfficePhone2() {
        return officePhone2;
    }

    public void setOfficePhone2(String officePhone2) {
        this.officePhone2 = officePhone2;
    }

    public String getOfficePhone3() {
        return officePhone3;
    }

    public void setOfficePhone3(String officePhone3) {
        this.officePhone3 = officePhone3;
    }

    public String getOfficePhone4() {
        return officePhone4;
    }

    public void setOfficePhone4(String officePhone4) {
        this.officePhone4 = officePhone4;
    }

    public String getOfficePhone5() {
        return officePhone5;
    }

    public void setOfficePhone5(String officePhone5) {
        this.officePhone5 = officePhone5;
    }

    public Boolean getOther() {
        return other;
    }

    public void setOther(Boolean other) {
        this.other = other;
    }

    public String getOtherBusinessType() {
        return otherBusinessType;
    }

    public void setOtherBusinessType(String otherBusinessType) {
        this.otherBusinessType = otherBusinessType;
    }

    public String getOtherOccupation() {
        return otherOccupation;
    }

    public void setOtherOccupation(String otherOccupation) {
        this.otherOccupation = otherOccupation;
    }

    public String getOwnerAgentOffice() {
        return ownerAgentOffice;
    }

    public void setOwnerAgentOffice(String ownerAgentOffice) {
        this.ownerAgentOffice = ownerAgentOffice;
    }

    public String getOwnerAgentOfficeCode() {
        return ownerAgentOfficeCode;
    }

    public void setOwnerAgentOfficeCode(String ownerAgentOfficeCode) {
        this.ownerAgentOfficeCode = ownerAgentOfficeCode;
    }

    public String getOwneralias() {
        return owneralias;
    }

    public void setOwneralias(String owneralias) {
        this.owneralias = owneralias;
    }

    public String getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(String ownerid) {
        this.ownerid = ownerid;
    }

    public String getOwnership() {
        return ownership;
    }

    public void setOwnership(String ownership) {
        this.ownership = ownership;
    }

    public String getParentid() {
        return parentid;
    }

    public void setParentid(String parentid) {
        this.parentid = parentid;
    }

    public String getPassportNumber() {
        return passportNumber;
    }

    public void setPassportNumber(String passportNumber) {
        this.passportNumber = passportNumber;
    }

    public Boolean getPayer() {
        return payer;
    }

    public void setPayer(Boolean payer) {
        this.payer = payer;
    }

    public String getPersonassistantname() {
        return personassistantname;
    }

    public void setPersonassistantname(String personassistantname) {
        this.personassistantname = personassistantname;
    }

    public String getPersonassistantphone() {
        return personassistantphone;
    }

    public void setPersonassistantphone(String personassistantphone) {
        this.personassistantphone = personassistantphone;
    }

    public Date getPersonbirthdate() {
        return personbirthdate;
    }

    public void setPersonbirthdate(Date personbirthdate) {
        this.personbirthdate = personbirthdate;
    }

    public String getPersoncontactid() {
        return personcontactid;
    }

    public void setPersoncontactid(String personcontactid) {
        this.personcontactid = personcontactid;
    }

    public String getPersondepartment() {
        return persondepartment;
    }

    public void setPersondepartment(String persondepartment) {
        this.persondepartment = persondepartment;
    }

    public Boolean getPersondonotcall() {
        return persondonotcall;
    }

    public void setPersondonotcall(Boolean persondonotcall) {
        this.persondonotcall = persondonotcall;
    }

    public String getPersonemail() {
        return personemail;
    }

    public void setPersonemail(String personemail) {
        this.personemail = personemail;
    }

    public Date getPersonemailbounceddate() {
        return personemailbounceddate;
    }

    public void setPersonemailbounceddate(Date personemailbounceddate) {
        this.personemailbounceddate = personemailbounceddate;
    }

    public String getPersonemailbouncedreason() {
        return personemailbouncedreason;
    }

    public void setPersonemailbouncedreason(String personemailbouncedreason) {
        this.personemailbouncedreason = personemailbouncedreason;
    }

    public Boolean getPersonhasoptedoutofemail() {
        return personhasoptedoutofemail;
    }

    public void setPersonhasoptedoutofemail(Boolean personhasoptedoutofemail) {
        this.personhasoptedoutofemail = personhasoptedoutofemail;
    }

    public Boolean getPersonhasoptedoutoffax() {
        return personhasoptedoutoffax;
    }

    public void setPersonhasoptedoutoffax(Boolean personhasoptedoutoffax) {
        this.personhasoptedoutoffax = personhasoptedoutoffax;
    }

    public String getPersonhomephone() {
        return personhomephone;
    }

    public void setPersonhomephone(String personhomephone) {
        this.personhomephone = personhomephone;
    }

    public String getPersonindividualid() {
        return personindividualid;
    }

    public void setPersonindividualid(String personindividualid) {
        this.personindividualid = personindividualid;
    }

    public Date getPersonlastcurequestdate() {
        return personlastcurequestdate;
    }

    public void setPersonlastcurequestdate(Date personlastcurequestdate) {
        this.personlastcurequestdate = personlastcurequestdate;
    }

    public Date getPersonlastcuupdatedate() {
        return personlastcuupdatedate;
    }

    public void setPersonlastcuupdatedate(Date personlastcuupdatedate) {
        this.personlastcuupdatedate = personlastcuupdatedate;
    }

    public String getPersonleadsource() {
        return personleadsource;
    }

    public void setPersonleadsource(String personleadsource) {
        this.personleadsource = personleadsource;
    }

    public String getPersonmailingaddress() {
        return personmailingaddress;
    }

    public void setPersonmailingaddress(String personmailingaddress) {
        this.personmailingaddress = personmailingaddress;
    }

    public String getPersonmailingcity() {
        return personmailingcity;
    }

    public void setPersonmailingcity(String personmailingcity) {
        this.personmailingcity = personmailingcity;
    }

    public String getPersonmailingcountry() {
        return personmailingcountry;
    }

    public void setPersonmailingcountry(String personmailingcountry) {
        this.personmailingcountry = personmailingcountry;
    }

    public String getPersonmailinggeocodeaccuracy() {
        return personmailinggeocodeaccuracy;
    }

    public void setPersonmailinggeocodeaccuracy(String personmailinggeocodeaccuracy) {
        this.personmailinggeocodeaccuracy = personmailinggeocodeaccuracy;
    }

    public BigDecimal getPersonmailinglatitude() {
        return personmailinglatitude;
    }

    public void setPersonmailinglatitude(BigDecimal personmailinglatitude) {
        this.personmailinglatitude = personmailinglatitude;
    }

    public BigDecimal getPersonmailinglongitude() {
        return personmailinglongitude;
    }

    public void setPersonmailinglongitude(BigDecimal personmailinglongitude) {
        this.personmailinglongitude = personmailinglongitude;
    }

    public String getPersonmailingpostalcode() {
        return personmailingpostalcode;
    }

    public void setPersonmailingpostalcode(String personmailingpostalcode) {
        this.personmailingpostalcode = personmailingpostalcode;
    }

    public String getPersonmailingstate() {
        return personmailingstate;
    }

    public void setPersonmailingstate(String personmailingstate) {
        this.personmailingstate = personmailingstate;
    }

    public String getPersonmailingstreet() {
        return personmailingstreet;
    }

    public void setPersonmailingstreet(String personmailingstreet) {
        this.personmailingstreet = personmailingstreet;
    }

    public String getPersonmobilephone() {
        return personmobilephone;
    }

    public void setPersonmobilephone(String personmobilephone) {
        this.personmobilephone = personmobilephone;
    }

    public String getPersonotheraddress() {
        return personotheraddress;
    }

    public void setPersonotheraddress(String personotheraddress) {
        this.personotheraddress = personotheraddress;
    }

    public String getPersonothercity() {
        return personothercity;
    }

    public void setPersonothercity(String personothercity) {
        this.personothercity = personothercity;
    }

    public String getPersonothercountry() {
        return personothercountry;
    }

    public void setPersonothercountry(String personothercountry) {
        this.personothercountry = personothercountry;
    }

    public String getPersonothergeocodeaccuracy() {
        return personothergeocodeaccuracy;
    }

    public void setPersonothergeocodeaccuracy(String personothergeocodeaccuracy) {
        this.personothergeocodeaccuracy = personothergeocodeaccuracy;
    }

    public BigDecimal getPersonotherlatitude() {
        return personotherlatitude;
    }

    public void setPersonotherlatitude(BigDecimal personotherlatitude) {
        this.personotherlatitude = personotherlatitude;
    }

    public BigDecimal getPersonotherlongitude() {
        return personotherlongitude;
    }

    public void setPersonotherlongitude(BigDecimal personotherlongitude) {
        this.personotherlongitude = personotherlongitude;
    }

    public String getPersonotherphone() {
        return personotherphone;
    }

    public void setPersonotherphone(String personotherphone) {
        this.personotherphone = personotherphone;
    }

    public String getPersonotherpostalcode() {
        return personotherpostalcode;
    }

    public void setPersonotherpostalcode(String personotherpostalcode) {
        this.personotherpostalcode = personotherpostalcode;
    }

    public String getPersonotherstate() {
        return personotherstate;
    }

    public void setPersonotherstate(String personotherstate) {
        this.personotherstate = personotherstate;
    }

    public String getPersonotherstreet() {
        return personotherstreet;
    }

    public void setPersonotherstreet(String personotherstreet) {
        this.personotherstreet = personotherstreet;
    }

    public String getPersontitle() {
        return persontitle;
    }

    public void setPersontitle(String persontitle) {
        this.persontitle = persontitle;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhotourl() {
        return photourl;
    }

    public void setPhotourl(String photourl) {
        this.photourl = photourl;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Date getPositionEffectiveDate() {
        return positionEffectiveDate;
    }

    public void setPositionEffectiveDate(Date positionEffectiveDate) {
        this.positionEffectiveDate = positionEffectiveDate;
    }

    public String getProductOfInterest() {
        return productOfInterest;
    }

    public void setProductOfInterest(String productOfInterest) {
        this.productOfInterest = productOfInterest;
    }

    public String getRace() {
        return race;
    }

    public void setRace(String race) {
        this.race = race;
    }

    public String getRaceDummy() {
        return raceDummy;
    }

    public void setRaceDummy(String raceDummy) {
        this.raceDummy = raceDummy;
    }

    public String getRating() {
        return rating;
    }

    public void setRating(String rating) {
        this.rating = rating;
    }

    public String getReceivedRisk() {
        return receivedRisk;
    }

    public void setReceivedRisk(String receivedRisk) {
        this.receivedRisk = receivedRisk;
    }

    public String getReceivedRisk1() {
        return receivedRisk1;
    }

    public void setReceivedRisk1(String receivedRisk1) {
        this.receivedRisk1 = receivedRisk1;
    }

    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public String getRecordtypeid() {
        return recordtypeid;
    }

    public void setRecordtypeid(String recordtypeid) {
        this.recordtypeid = recordtypeid;
    }

    public String getReferenceCisNo() {
        return referenceCisNo;
    }

    public void setReferenceCisNo(String referenceCisNo) {
        this.referenceCisNo = referenceCisNo;
    }

    public String getReligion() {
        return religion;
    }

    public void setReligion(String religion) {
        this.religion = religion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevelNo() {
        return riskLevelNo;
    }

    public void setRiskLevelNo(String riskLevelNo) {
        this.riskLevelNo = riskLevelNo;
    }

    public String getSalutation() {
        return salutation;
    }

    public void setSalutation(String salutation) {
        this.salutation = salutation;
    }

    public Date getSaveRiskDate() {
        return saveRiskDate;
    }

    public void setSaveRiskDate(Date saveRiskDate) {
        this.saveRiskDate = saveRiskDate;
    }

    public String getSdAccountName() {
        return sdAccountName;
    }

    public void setSdAccountName(String sdAccountName) {
        this.sdAccountName = sdAccountName;
    }

    public String getSdAccountNamePrior() {
        return sdAccountNamePrior;
    }

    public void setSdAccountNamePrior(String sdAccountNamePrior) {
        this.sdAccountNamePrior = sdAccountNamePrior;
    }

    public String getSdAgentCode() {
        return sdAgentCode;
    }

    public void setSdAgentCode(String sdAgentCode) {
        this.sdAgentCode = sdAgentCode;
    }

    public String getSdUnitCode() {
        return sdUnitCode;
    }

    public void setSdUnitCode(String sdUnitCode) {
        this.sdUnitCode = sdUnitCode;
    }

    public String getSdUnitName() {
        return sdUnitName;
    }

    public void setSdUnitName(String sdUnitName) {
        this.sdUnitName = sdUnitName;
    }

    public Boolean getSfssdupecatcherOverrideDupecatcher() {
        return sfssdupecatcherOverrideDupecatcher;
    }

    public void setSfssdupecatcherOverrideDupecatcher(Boolean sfssdupecatcherOverrideDupecatcher) {
        this.sfssdupecatcherOverrideDupecatcher = sfssdupecatcherOverrideDupecatcher;
    }

    public String getShippingaddress() {
        return shippingaddress;
    }

    public void setShippingaddress(String shippingaddress) {
        this.shippingaddress = shippingaddress;
    }

    public String getShippingcity() {
        return shippingcity;
    }

    public void setShippingcity(String shippingcity) {
        this.shippingcity = shippingcity;
    }

    public String getShippingcountry() {
        return shippingcountry;
    }

    public void setShippingcountry(String shippingcountry) {
        this.shippingcountry = shippingcountry;
    }

    public String getShippinggeocodeaccuracy() {
        return shippinggeocodeaccuracy;
    }

    public void setShippinggeocodeaccuracy(String shippinggeocodeaccuracy) {
        this.shippinggeocodeaccuracy = shippinggeocodeaccuracy;
    }

    public BigDecimal getShippinglatitude() {
        return shippinglatitude;
    }

    public void setShippinglatitude(BigDecimal shippinglatitude) {
        this.shippinglatitude = shippinglatitude;
    }

    public BigDecimal getShippinglongitude() {
        return shippinglongitude;
    }

    public void setShippinglongitude(BigDecimal shippinglongitude) {
        this.shippinglongitude = shippinglongitude;
    }

    public String getShippingpostalcode() {
        return shippingpostalcode;
    }

    public void setShippingpostalcode(String shippingpostalcode) {
        this.shippingpostalcode = shippingpostalcode;
    }

    public String getShippingstate() {
        return shippingstate;
    }

    public void setShippingstate(String shippingstate) {
        this.shippingstate = shippingstate;
    }

    public String getShippingstreet() {
        return shippingstreet;
    }

    public void setShippingstreet(String shippingstreet) {
        this.shippingstreet = shippingstreet;
    }

    public String getSic() {
        return sic;
    }

    public void setSic(String sic) {
        this.sic = sic;
    }

    public String getSicdesc() {
        return sicdesc;
    }

    public void setSicdesc(String sicdesc) {
        this.sicdesc = sicdesc;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getSmAccountName() {
        return smAccountName;
    }

    public void setSmAccountName(String smAccountName) {
        this.smAccountName = smAccountName;
    }

    public String getSmAccountNamePrior() {
        return smAccountNamePrior;
    }

    public void setSmAccountNamePrior(String smAccountNamePrior) {
        this.smAccountNamePrior = smAccountNamePrior;
    }

    public String getSmAgentCode() {
        return smAgentCode;
    }

    public void setSmAgentCode(String smAgentCode) {
        this.smAgentCode = smAgentCode;
    }

    public String getSmAgentName() {
        return smAgentName;
    }

    public void setSmAgentName(String smAgentName) {
        this.smAgentName = smAgentName;
    }

    public String getSmUnitCode() {
        return smUnitCode;
    }

    public void setSmUnitCode(String smUnitCode) {
        this.smUnitCode = smUnitCode;
    }

    public String getSmUnitName() {
        return smUnitName;
    }

    public void setSmUnitName(String smUnitName) {
        this.smUnitName = smUnitName;
    }

    public String getSourceKeySeq() {
        return sourceKeySeq;
    }

    public void setSourceKeySeq(String sourceKeySeq) {
        this.sourceKeySeq = sourceKeySeq;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public Boolean getSourceincomeDividendInterestCheck() {
        return sourceincomeDividendInterestCheck;
    }

    public void setSourceincomeDividendInterestCheck(Boolean sourceincomeDividendInterestCheck) {
        this.sourceincomeDividendInterestCheck = sourceincomeDividendInterestCheck;
    }

    public String getSourceincomeOtherCountry() {
        return sourceincomeOtherCountry;
    }

    public void setSourceincomeOtherCountry(String sourceincomeOtherCountry) {
        this.sourceincomeOtherCountry = sourceincomeOtherCountry;
    }

    public String getSourceincomeOtherSourceOfIncome() {
        return sourceincomeOtherSourceOfIncome;
    }

    public void setSourceincomeOtherSourceOfIncome(String sourceincomeOtherSourceOfIncome) {
        this.sourceincomeOtherSourceOfIncome = sourceincomeOtherSourceOfIncome;
    }

    public Boolean getSourceincomeSalaryBusinessCheck() {
        return sourceincomeSalaryBusinessCheck;
    }

    public void setSourceincomeSalaryBusinessCheck(Boolean sourceincomeSalaryBusinessCheck) {
        this.sourceincomeSalaryBusinessCheck = sourceincomeSalaryBusinessCheck;
    }

    public Boolean getSourceincomeThailandCheck() {
        return sourceincomeThailandCheck;
    }

    public void setSourceincomeThailandCheck(Boolean sourceincomeThailandCheck) {
        this.sourceincomeThailandCheck = sourceincomeThailandCheck;
    }

    public String getSpouseFirstNameEn() {
        return spouseFirstNameEn;
    }

    public void setSpouseFirstNameEn(String spouseFirstNameEn) {
        this.spouseFirstNameEn = spouseFirstNameEn;
    }

    public String getSpouseFirstNameEng() {
        return spouseFirstNameEng;
    }

    public void setSpouseFirstNameEng(String spouseFirstNameEng) {
        this.spouseFirstNameEng = spouseFirstNameEng;
    }

    public String getSpouseFirstNameTh() {
        return spouseFirstNameTh;
    }

    public void setSpouseFirstNameTh(String spouseFirstNameTh) {
        this.spouseFirstNameTh = spouseFirstNameTh;
    }

    public String getSpouseLastNameEn() {
        return spouseLastNameEn;
    }

    public void setSpouseLastNameEn(String spouseLastNameEn) {
        this.spouseLastNameEn = spouseLastNameEn;
    }

    public String getSpouseLastNameEng() {
        return spouseLastNameEng;
    }

    public void setSpouseLastNameEng(String spouseLastNameEng) {
        this.spouseLastNameEng = spouseLastNameEng;
    }

    public String getSpouseLastNameTh() {
        return spouseLastNameTh;
    }

    public void setSpouseLastNameTh(String spouseLastNameTh) {
        this.spouseLastNameTh = spouseLastNameTh;
    }

    public String getSurnameEn() {
        return surnameEn;
    }

    public void setSurnameEn(String surnameEn) {
        this.surnameEn = surnameEn;
    }

    public Date getSystemmodstamp() {
        return systemmodstamp;
    }

    public void setSystemmodstamp(Date systemmodstamp) {
        this.systemmodstamp = systemmodstamp;
    }

    public Short getTaxBase() {
        return taxBase;
    }

    public void setTaxBase(Short taxBase) {
        this.taxBase = taxBase;
    }

    public Short getTaxBased() {
        return taxBased;
    }

    public void setTaxBased(Short taxBased) {
        this.taxBased = taxBased;
    }

    public String getTaxId() {
        return taxId;
    }

    public void setTaxId(String taxId) {
        this.taxId = taxId;
    }

    public Boolean getTemp() {
        return temp;
    }

    public void setTemp(Boolean temp) {
        this.temp = temp;
    }

    public Date getTestDateTime() {
        return testDateTime;
    }

    public void setTestDateTime(Date testDateTime) {
        this.testDateTime = testDateTime;
    }

    public String getTickersymbol() {
        return tickersymbol;
    }

    public void setTickersymbol(String tickersymbol) {
        this.tickersymbol = tickersymbol;
    }

    public String getTier() {
        return tier;
    }

    public void setTier(String tier) {
        this.tier = tier;
    }

    public String getTitleNameEn() {
        return titleNameEn;
    }

    public void setTitleNameEn(String titleNameEn) {
        this.titleNameEn = titleNameEn;
    }

    public String getTransactionRejected() {
        return transactionRejected;
    }

    public void setTransactionRejected(String transactionRejected) {
        this.transactionRejected = transactionRejected;
    }

    public String getTransactionRejectedReason() {
        return transactionRejectedReason;
    }

    public void setTransactionRejectedReason(String transactionRejectedReason) {
        this.transactionRejectedReason = transactionRejectedReason;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUpcomingBirthdayMonth() {
        return upcomingBirthdayMonth;
    }

    public void setUpcomingBirthdayMonth(String upcomingBirthdayMonth) {
        this.upcomingBirthdayMonth = upcomingBirthdayMonth;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getValidEndDate() {
        return validEndDate;
    }

    public void setValidEndDate(Date validEndDate) {
        this.validEndDate = validEndDate;
    }

    public Date getValidStartDate() {
        return validStartDate;
    }

    public void setValidStartDate(Date validStartDate) {
        this.validStartDate = validStartDate;
    }

    public String getWaName() {
        return waName;
    }

    public void setWaName(String waName) {
        this.waName = waName;
    }

    public String getWebsite() {
        return website;
    }

    public void setWebsite(String website) {
        this.website = website;
    }

    public Short getWeightKg() {
        return weightKg;
    }

    public void setWeightKg(Short weightKg) {
        this.weightKg = weightKg;
    }

    public String getWorkingCompany() {
        return workingCompany;
    }

    public void setWorkingCompany(String workingCompany) {
        this.workingCompany = workingCompany;
    }

    public String getX1Relationship() {
        return x1Relationship;
    }

    public void setX1Relationship(String x1Relationship) {
        this.x1Relationship = x1Relationship;
    }

    public String getX2Relationship() {
        return x2Relationship;
    }

    public void setX2Relationship(String x2Relationship) {
        this.x2Relationship = x2Relationship;
    }

    public String getX3Relationship() {
        return x3Relationship;
    }

    public void setX3Relationship(String x3Relationship) {
        this.x3Relationship = x3Relationship;
    }

    public Boolean getIsCorporate() {
        return isCorporate;
    }

    public void setIsCorporate(Boolean isCorporate) {
        this.isCorporate = isCorporate;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Account)) {
            return false;
        }
        Account other = (Account) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.Account[ id=" + id + " ]";
    }

}
