/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.*;

/**
 *
 * @author user
 */
@Entity
@Table(name = "ag_benefit", catalog = "", schema = "", uniqueConstraints = {
        @UniqueConstraint(columnNames = { "record_id" }) })
public class AgBenefit implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id")
    private String id;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Column(name = "afyp")
    private BigDecimal afyp;
    @Column(name = "ag_policy_master")
    private String agPolicyMaster;
    @Column(name = "agent_producing")
    private String agentProducing;
    @Column(name = "agent_producing_user")
    private String agentProducingUser;
    @Basic(optional = false)
    @Column(name = "agent_producing_visibility")
    private boolean agentProducingVisibility;
    @Column(name = "agent_servicing")
    private String agentServicing;
    @Column(name = "agent_servicing_user")
    private String agentServicingUser;
    @Basic(optional = false)
    @Column(name = "agent_servicing_visibility")
    private boolean agentServicingVisibility;
    @Column(name = "benefit_code")
    private String benefitCode;
    @Column(name = "benefit_status")
    private String benefitStatus;
    @Column(name = "benefit_type")
    private String benefitType;
    @Column(name = "createdbyid")
    private String createdbyid;
    @Basic(optional = false)
    @Column(name = "createddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createddate;
    @Column(name = "fyp")
    private BigDecimal fyp;
    // @Basic(optional = false)
    // @Column(name = "recordid")
    // private String recordid;
    @Basic(optional = false)
    @Column(name = "isdeleted")
    private boolean isdeleted;
    @Column(name = "lastactivitydate")
    @Temporal(TemporalType.DATE)
    private Date lastactivitydate;
    @Column(name = "lastmodifiedbyid")
    private String lastmodifiedbyid;
    @Basic(optional = false)
    @Column(name = "lastmodifieddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastmodifieddate;
    @Column(name = "lastreferenceddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastreferenceddate;
    @Column(name = "lastvieweddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastvieweddate;
    @Basic(optional = false)
    @Column(name = "name")
    private String name;
    @Column(name = "ownerid")
    private String ownerid;
    @Column(name = "policy_channel")
    private String policyChannel;
    @Column(name = "policy_no")
    private String policyNo;
    @Column(name = "policy_no_formula")
    private String policyNoFormula;
    @Column(name = "premium_amount")
    private BigDecimal premiumAmount;
    @Column(name = "record_id")
    private String recordId;
    @Column(name = "ryp")
    private BigDecimal ryp;
    @Column(name = "sum_assure")
    private BigDecimal sumAssure;
    @Basic(optional = false)
    @Column(name = "systemmodstamp")
    @Temporal(TemporalType.TIMESTAMP)
    private Date systemmodstamp;
    @Column(name = "transaction_date")
    @Temporal(TemporalType.DATE)
    private Date transactionDate;
    @Column(name = "transaction_period")
    private String transactionPeriod;

    public AgBenefit() {
    }

    public AgBenefit(String id) {
        this.id = id;
    }

    public AgBenefit(String id, boolean agentProducingVisibility, boolean agentServicingVisibility, Date createddate,
            // String recordid, 
            boolean isdeleted, Date lastmodifieddate, String name, Date systemmodstamp) {
        this.id = id;
        this.agentProducingVisibility = agentProducingVisibility;
        this.agentServicingVisibility = agentServicingVisibility;
        this.createddate = createddate;
        // this.recordid = recordid;
        this.isdeleted = isdeleted;
        this.lastmodifieddate = lastmodifieddate;
        this.name = name;
        this.systemmodstamp = systemmodstamp;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getAfyp() {
        return afyp;
    }

    public void setAfyp(BigDecimal afyp) {
        this.afyp = afyp;
    }

    public String getAgPolicyMaster() {
        return agPolicyMaster;
    }

    public void setAgPolicyMaster(String agPolicyMaster) {
        this.agPolicyMaster = agPolicyMaster;
    }

    public String getAgentProducing() {
        return agentProducing;
    }

    public void setAgentProducing(String agentProducing) {
        this.agentProducing = agentProducing;
    }

    public String getAgentProducingUser() {
        return agentProducingUser;
    }

    public void setAgentProducingUser(String agentProducingUser) {
        this.agentProducingUser = agentProducingUser;
    }

    public boolean getAgentProducingVisibility() {
        return agentProducingVisibility;
    }

    public void setAgentProducingVisibility(boolean agentProducingVisibility) {
        this.agentProducingVisibility = agentProducingVisibility;
    }

    public String getAgentServicing() {
        return agentServicing;
    }

    public void setAgentServicing(String agentServicing) {
        this.agentServicing = agentServicing;
    }

    public String getAgentServicingUser() {
        return agentServicingUser;
    }

    public void setAgentServicingUser(String agentServicingUser) {
        this.agentServicingUser = agentServicingUser;
    }

    public boolean getAgentServicingVisibility() {
        return agentServicingVisibility;
    }

    public void setAgentServicingVisibility(boolean agentServicingVisibility) {
        this.agentServicingVisibility = agentServicingVisibility;
    }

    public String getBenefitCode() {
        return benefitCode;
    }

    public void setBenefitCode(String benefitCode) {
        this.benefitCode = benefitCode;
    }

    public String getBenefitStatus() {
        return benefitStatus;
    }

    public void setBenefitStatus(String benefitStatus) {
        this.benefitStatus = benefitStatus;
    }

    public String getBenefitType() {
        return benefitType;
    }

    public void setBenefitType(String benefitType) {
        this.benefitType = benefitType;
    }

    public String getCreatedbyid() {
        return createdbyid;
    }

    public void setCreatedbyid(String createdbyid) {
        this.createdbyid = createdbyid;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }

    public BigDecimal getFyp() {
        return fyp;
    }

    public void setFyp(BigDecimal fyp) {
        this.fyp = fyp;
    }

    // public String getRecordid() {
    //     return recordid;
    // }

    // public void setRecordid(String recordid) {
    //     this.recordid = recordid;
    // }

    public boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public Date getLastactivitydate() {
        return lastactivitydate;
    }

    public void setLastactivitydate(Date lastactivitydate) {
        this.lastactivitydate = lastactivitydate;
    }

    public String getLastmodifiedbyid() {
        return lastmodifiedbyid;
    }

    public void setLastmodifiedbyid(String lastmodifiedbyid) {
        this.lastmodifiedbyid = lastmodifiedbyid;
    }

    public Date getLastmodifieddate() {
        return lastmodifieddate;
    }

    public void setLastmodifieddate(Date lastmodifieddate) {
        this.lastmodifieddate = lastmodifieddate;
    }

    public Date getLastreferenceddate() {
        return lastreferenceddate;
    }

    public void setLastreferenceddate(Date lastreferenceddate) {
        this.lastreferenceddate = lastreferenceddate;
    }

    public Date getLastvieweddate() {
        return lastvieweddate;
    }

    public void setLastvieweddate(Date lastvieweddate) {
        this.lastvieweddate = lastvieweddate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(String ownerid) {
        this.ownerid = ownerid;
    }

    public String getPolicyChannel() {
        return policyChannel;
    }

    public void setPolicyChannel(String policyChannel) {
        this.policyChannel = policyChannel;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getPolicyNoFormula() {
        return policyNoFormula;
    }

    public void setPolicyNoFormula(String policyNoFormula) {
        this.policyNoFormula = policyNoFormula;
    }

    public BigDecimal getPremiumAmount() {
        return premiumAmount;
    }

    public void setPremiumAmount(BigDecimal premiumAmount) {
        this.premiumAmount = premiumAmount;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public BigDecimal getRyp() {
        return ryp;
    }

    public void setRyp(BigDecimal ryp) {
        this.ryp = ryp;
    }

    public BigDecimal getSumAssure() {
        return sumAssure;
    }

    public void setSumAssure(BigDecimal sumAssure) {
        this.sumAssure = sumAssure;
    }

    public Date getSystemmodstamp() {
        return systemmodstamp;
    }

    public void setSystemmodstamp(Date systemmodstamp) {
        this.systemmodstamp = systemmodstamp;
    }

    public Date getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(Date transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getTransactionPeriod() {
        return transactionPeriod;
    }

    public void setTransactionPeriod(String transactionPeriod) {
        this.transactionPeriod = transactionPeriod;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AgBenefit)) {
            return false;
        }
        AgBenefit other = (AgBenefit) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.mycompany.project.AgBenefit[ id=" + id + " ]";
    }

}
