/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 *
 * @author user
 */
@Entity
@Table(name = "ag_customer", catalog = "", schema = "", uniqueConstraints = {
        @UniqueConstraint(columnNames = { "customer_id_card" }) })
public class AgCustomer implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private String id;
    @Column(name = "agent_producing", length = 18)
    private String agentProducing;
    @Column(name = "agent_producing_user", length = 18)
    private String agentProducingUser;
    @Basic(optional = false)
    @Column(name = "agent_producing_visibility", nullable = false)
    private boolean agentProducingVisibility;
    @Column(name = "agent_servicing", length = 18)
    private String agentServicing;
    @Column(name = "agent_servicing_user", length = 18)
    private String agentServicingUser;
    @Basic(optional = false)
    @Column(name = "agent_servicing_visibility", nullable = false)
    private boolean agentServicingVisibility;
    @Column(name = "createdbyid", length = 18)
    private String createdbyid;
    @Basic(optional = false)
    @Column(name = "createddate", nullable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date createddate;
    @Column(name = "customer_address", length = 1300)
    private String customerAddress;
    @Column(name = "customer_address1", length = 255)
    private String customerAddress1;
    @Column(name = "customer_address2", length = 255)
    private String customerAddress2;
    @Column(name = "customer_address3", length = 255)
    private String customerAddress3;
    @Column(name = "customer_address4", length = 255)
    private String customerAddress4;
    @Column(name = "customer_address5", length = 255)
    private String customerAddress5;
    @Column(name = "customer_birth_date")
    @Temporal(TemporalType.DATE)
    private Date customerBirthDate;
    @Column(name = "customer_birthdate", length = 1300)
    private String customerBirthdate;
    @Basic(optional = false)
    @Column(name = "customer_gender", nullable = false, length = 1)
    private String customerGender;
    @Column(name = "customer_id_card", length = 13)
    private String customerIdCard;
    @Column(name = "customer_id_card_hyperlink", length = 2147483647)
    private String customerIdCardHyperlink;
    @Column(name = "customer_mobile_no", length = 10)
    private String customerMobileNo;
    @Basic(optional = false)
    @Column(name = "customer_name", nullable = false, length = 50)
    private String customerName;
    @Column(name = "date_birth", length = 1300)
    private String dateBirth;
    // @Column(name = "recordid", length = 18)
    // private String recordid;
    @Basic(optional = false)
    @Column(name = "is_birth_this_month", nullable = false)
    private boolean isBirthThisMonth;
    @Basic(optional = false)
    @Column(name = "is_birth_this_week", nullable = false)
    private boolean isBirthThisWeek;
    @Basic(optional = false)
    @Column(name = "isdeleted", nullable = false)
    private boolean isdeleted;
    @Column(name = "lastactivitydate")
    @Temporal(TemporalType.DATE)
    private Date lastactivitydate;
    @Column(name = "lastmodifiedbyid", length = 18)
    private String lastmodifiedbyid;
    @Basic(optional = false)
    @Column(name = "lastmodifieddate", nullable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastmodifieddate;
    @Column(name = "lastreferenceddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastreferenceddate;
    @Column(name = "lastvieweddate")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastvieweddate;
    @Basic(optional = false)
    @Column(name = "name", nullable = false, length = 80)
    private String name;
    @Column(name = "ownerid", length = 18)
    private String ownerid;
    @Basic(optional = false)
    @Column(name = "systemmodstamp", nullable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date systemmodstamp;
    // @Column(name = "customer_address__c", length = 512)
    // private String customerAddressC;

    public AgCustomer() {
    }

    public AgCustomer(String id) {
        this.id = id;
    }

    public AgCustomer(String id, boolean agentProducingVisibility, boolean agentServicingVisibility, Date createddate,
            String customerGender, String customerName, boolean isBirthThisMonth, boolean isBirthThisWeek,
            boolean isdeleted, Date lastmodifieddate, String name, Date systemmodstamp) {
        this.id = id;
        this.agentProducingVisibility = agentProducingVisibility;
        this.agentServicingVisibility = agentServicingVisibility;
        this.createddate = createddate;
        this.customerGender = customerGender;
        this.customerName = customerName;
        this.isBirthThisMonth = isBirthThisMonth;
        this.isBirthThisWeek = isBirthThisWeek;
        this.isdeleted = isdeleted;
        this.lastmodifieddate = lastmodifieddate;
        this.name = name;
        this.systemmodstamp = systemmodstamp;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAgentProducing() {
        return agentProducing;
    }

    public void setAgentProducing(String agentProducing) {
        this.agentProducing = agentProducing;
    }

    public String getAgentProducingUser() {
        return agentProducingUser;
    }

    public void setAgentProducingUser(String agentProducingUser) {
        this.agentProducingUser = agentProducingUser;
    }

    public boolean getAgentProducingVisibility() {
        return agentProducingVisibility;
    }

    public void setAgentProducingVisibility(boolean agentProducingVisibility) {
        this.agentProducingVisibility = agentProducingVisibility;
    }

    public String getAgentServicing() {
        return agentServicing;
    }

    public void setAgentServicing(String agentServicing) {
        this.agentServicing = agentServicing;
    }

    public String getAgentServicingUser() {
        return agentServicingUser;
    }

    public void setAgentServicingUser(String agentServicingUser) {
        this.agentServicingUser = agentServicingUser;
    }

    public boolean getAgentServicingVisibility() {
        return agentServicingVisibility;
    }

    public void setAgentServicingVisibility(boolean agentServicingVisibility) {
        this.agentServicingVisibility = agentServicingVisibility;
    }

    public String getCreatedbyid() {
        return createdbyid;
    }

    public void setCreatedbyid(String createdbyid) {
        this.createdbyid = createdbyid;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public String getCustomerAddress1() {
        return customerAddress1;
    }

    public void setCustomerAddress1(String customerAddress1) {
        this.customerAddress1 = customerAddress1;
    }

    public String getCustomerAddress2() {
        return customerAddress2;
    }

    public void setCustomerAddress2(String customerAddress2) {
        this.customerAddress2 = customerAddress2;
    }

    public String getCustomerAddress3() {
        return customerAddress3;
    }

    public void setCustomerAddress3(String customerAddress3) {
        this.customerAddress3 = customerAddress3;
    }

    public String getCustomerAddress4() {
        return customerAddress4;
    }

    public void setCustomerAddress4(String customerAddress4) {
        this.customerAddress4 = customerAddress4;
    }

    public String getCustomerAddress5() {
        return customerAddress5;
    }

    public void setCustomerAddress5(String customerAddress5) {
        this.customerAddress5 = customerAddress5;
    }

    public Date getCustomerBirthDate() {
        return customerBirthDate;
    }

    public void setCustomerBirthDate(Date customerBirthDate) {
        this.customerBirthDate = customerBirthDate;
    }

    public String getCustomerBirthdate() {
        return customerBirthdate;
    }

    public void setCustomerBirthdate(String customerBirthdate) {
        this.customerBirthdate = customerBirthdate;
    }

    public String getCustomerGender() {
        return customerGender;
    }

    public void setCustomerGender(String customerGender) {
        this.customerGender = customerGender;
    }

    public String getCustomerIdCard() {
        return customerIdCard;
    }

    public void setCustomerIdCard(String customerIdCard) {
        this.customerIdCard = customerIdCard;
    }

    public String getCustomerIdCardHyperlink() {
        return customerIdCardHyperlink;
    }

    public void setCustomerIdCardHyperlink(String customerIdCardHyperlink) {
        this.customerIdCardHyperlink = customerIdCardHyperlink;
    }

    public String getCustomerMobileNo() {
        return customerMobileNo;
    }

    public void setCustomerMobileNo(String customerMobileNo) {
        this.customerMobileNo = customerMobileNo;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getDateBirth() {
        return dateBirth;
    }

    public void setDateBirth(String dateBirth) {
        this.dateBirth = dateBirth;
    }

    // public String getRecordid() {
    // return recordid;
    // }

    // public void setRecordid(String recordid) {
    // this.recordid = recordid;
    // }

    public boolean getIsBirthThisMonth() {
        return isBirthThisMonth;
    }

    public void setIsBirthThisMonth(boolean isBirthThisMonth) {
        this.isBirthThisMonth = isBirthThisMonth;
    }

    public boolean getIsBirthThisWeek() {
        return isBirthThisWeek;
    }

    public void setIsBirthThisWeek(boolean isBirthThisWeek) {
        this.isBirthThisWeek = isBirthThisWeek;
    }

    public boolean getIsdeleted() {
        return isdeleted;
    }

    public void setIsdeleted(boolean isdeleted) {
        this.isdeleted = isdeleted;
    }

    public Date getLastactivitydate() {
        return lastactivitydate;
    }

    public void setLastactivitydate(Date lastactivitydate) {
        this.lastactivitydate = lastactivitydate;
    }

    public String getLastmodifiedbyid() {
        return lastmodifiedbyid;
    }

    public void setLastmodifiedbyid(String lastmodifiedbyid) {
        this.lastmodifiedbyid = lastmodifiedbyid;
    }

    public Date getLastmodifieddate() {
        return lastmodifieddate;
    }

    public void setLastmodifieddate(Date lastmodifieddate) {
        this.lastmodifieddate = lastmodifieddate;
    }

    public Date getLastreferenceddate() {
        return lastreferenceddate;
    }

    public void setLastreferenceddate(Date lastreferenceddate) {
        this.lastreferenceddate = lastreferenceddate;
    }

    public Date getLastvieweddate() {
        return lastvieweddate;
    }

    public void setLastvieweddate(Date lastvieweddate) {
        this.lastvieweddate = lastvieweddate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(String ownerid) {
        this.ownerid = ownerid;
    }

    public Date getSystemmodstamp() {
        return systemmodstamp;
    }

    public void setSystemmodstamp(Date systemmodstamp) {
        this.systemmodstamp = systemmodstamp;
    }

    // public String getCustomerAddressC() {
    //     return customerAddressC;
    // }

    // public void setCustomerAddressC(String customerAddressC) {
    //     this.customerAddressC = customerAddressC;
    // }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AgCustomer)) {
            return false;
        }
        AgCustomer other = (AgCustomer) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.AgCustomer[ id=" + id + " ]";
    }

}
