/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.UUID;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 *
 * @author user
 */
@Entity
@Table(name = "ag_financial_transaction", catalog = "", schema = "", uniqueConstraints = {
        @UniqueConstraint(columnNames = { "record_id" }) })
public class AgFinancialTransaction implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private String id;
    @Basic(optional = false)
    @Column(name = "ag_policy_master", nullable = false, length = 18)
    private String agPolicyMaster;
    @Basic(optional = false)
    @Column(name = "agent_producing", nullable = false, length = 18)
    private String agentProducing;
    @Basic(optional = false)
    @Column(name = "agent_producing_user", nullable = false, length = 18)
    private String agentProducingUser;
    @Basic(optional = false)
    @Column(name = "agent_producing_visibility", nullable = false)
    private boolean agentProducingVisibility;
    @Basic(optional = false)
    @Column(name = "agent_servicing", nullable = false, length = 18)
    private String agentServicing;
    @Basic(optional = false)
    @Column(name = "agent_servicing_user", nullable = false, length = 18)
    private String agentServicingUser;
    @Basic(optional = false)
    @Column(name = "agent_servicing_visibility", nullable = false)
    private boolean agentServicingVisibility;
    @Basic(optional = false)
    @Column(name = "benefit_code", nullable = false, length = 8)
    private String benefitCode;
    @Basic(optional = false)
    @Column(name = "benefit_type", nullable = false, length = 8)
    private String benefitType;
    @Basic(optional = false)
    @Column(name = "check_current_date", nullable = false)
    private boolean checkCurrentDate;
    @Column(name = "esd_agent_code", length = 8)
    private String esdAgentCode;
    @Column(name = "esd_agent_unit", length = 8)
    private String esdAgentUnit;
    @Column(name = "esd_agent_unit_name", length = 50)
    private String esdAgentUnitName;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Basic(optional = false)
    @Column(name = "fyc_ryc_amount", nullable = false, precision = 18, scale = 2)
    private BigDecimal fycRycAmount;
    // @Basic(optional = false)
    // @Column(name = "isdeleted", nullable = false)
    // private boolean isdeleted;
    // @Column(name = "lastactivitydate")
    // @Temporal(TemporalType.DATE)
    // private Date lastactivitydate;
    @Basic(optional = false)
    @Column(name = "lastmodifiedbyid", nullable = false, length = 18)
    private String lastmodifiedbyid;
    // @Basic(optional = false)
    @Column(name = "lastmodifieddate", nullable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastmodifieddate;
    // @Column(name = "lastreferenceddate")
    // @Temporal(TemporalType.TIMESTAMP)
    // private Date lastreferenceddate;
    // @Column(name = "lastvieweddate")
    // @Temporal(TemporalType.TIMESTAMP)
    // private Date lastvieweddate;
    @Column(name = "line_agent_code", length = 8)
    private String lineAgentCode;
    @Column(name = "line_agent_unit", length = 8)
    private String lineAgentUnit;
    @Column(name = "line_agent_unit_name", length = 50)
    private String lineAgentUnitName;
    @Basic(optional = false)
    @Column(name = "name", nullable = false, length = 80)
    private String name;
    @Basic(optional = false)
    @Column(name = "ownerid", nullable = false, length = 18)
    private String ownerid;
    @Column(name = "payment_method_code", length = 8)
    private String paymentMethodCode;
    @Column(name = "payment_method_name", length = 50)
    private String paymentMethodName;
    @Column(name = "payment_mode", length = 8)
    private String paymentMode;
    @Basic(optional = false)
    @Column(name = "payment_mode_name", nullable = false, length = 50)
    private String paymentModeName;
    @Basic(optional = false)
    @Column(name = "policy_due_date", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date policyDueDate;
    @Column(name = "policy_no", length = 10)
    private String policyNo;
    @Column(name = "premium_period")
    private Short premiumPeriod;
    @Column(name = "premium_year", length = 1)
    private String premiumYear;
    @Column(name = "record_id", length = 20)
    private String recordId;
    @Column(name = "reference_code", length = 10)
    private String referenceCode;
    @Column(name = "sd_agent_code", length = 8)
    private String sdAgentCode;
    @Column(name = "sd_agent_unit", length = 8)
    private String sdAgentUnit;
    @Column(name = "sd_agent_unit_name", length = 50)
    private String sdAgentUnitName;
    @Column(name = "sm_agent_code", length = 8)
    private String smAgentCode;
    @Column(name = "sm_agent_unit", length = 8)
    private String smAgentUnit;
    @Column(name = "sm_agent_unit_name", length = 50)
    private String smAgentUnitName;
    // @Basic(optional = false)
    // @Column(name = "systemmodstamp", nullable = false)
    // @Temporal(TemporalType.TIMESTAMP)
    // private Date systemmodstamp;
    @Basic(optional = false)
    @Column(name = "transaction_amount", nullable = false, precision = 18, scale = 2)
    private BigDecimal transactionAmount;
    @Column(name = "transaction_book_date")
    @Temporal(TemporalType.DATE)
    private Date transactionBookDate;
    @Basic(optional = false)
    @Column(name = "transaction_date", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date transactionDate;
    @Column(name = "transaction_effective_date")
    @Temporal(TemporalType.DATE)
    private Date transactionEffectiveDate;
    @Basic(optional = false)
    @Column(name = "transaction_period", nullable = false, length = 6)
    private String transactionPeriod;
    @Basic(optional = false)
    @Column(name = "transaction_type", nullable = false, length = 8)
    private String transactionType;

    public AgFinancialTransaction() {
    }

    public AgFinancialTransaction(String id) {
        this.id = id;
    }

    public AgFinancialTransaction(String id, String agPolicyMaster, String agentProducing, String agentProducingUser,
            boolean agentProducingVisibility, String agentServicing, String agentServicingUser,
            boolean agentServicingVisibility, String benefitCode, String benefitType, boolean checkCurrentDate,
            BigDecimal fycRycAmount, 
            // boolean isdeleted, 
            String lastmodifiedbyid, 
            // Date lastmodifieddate, 
            String name,
            String ownerid, String paymentModeName, Date policyDueDate, 
            // Date systemmodstamp,
            BigDecimal transactionAmount, Date transactionDate, String transactionPeriod, String transactionType) {
        this.id = id;
        this.agPolicyMaster = agPolicyMaster;
        this.agentProducing = agentProducing;
        this.agentProducingUser = agentProducingUser;
        this.agentProducingVisibility = agentProducingVisibility;
        this.agentServicing = agentServicing;
        this.agentServicingUser = agentServicingUser;
        this.agentServicingVisibility = agentServicingVisibility;
        this.benefitCode = benefitCode;
        this.benefitType = benefitType;
        this.checkCurrentDate = checkCurrentDate;
        this.fycRycAmount = fycRycAmount;
        // this.isdeleted = isdeleted;
        this.lastmodifiedbyid = lastmodifiedbyid;
        // this.lastmodifieddate = lastmodifieddate;
        this.name = name;
        this.ownerid = ownerid;
        this.paymentModeName = paymentModeName;
        this.policyDueDate = policyDueDate;
        // this.systemmodstamp = systemmodstamp;
        this.transactionAmount = transactionAmount;
        this.transactionDate = transactionDate;
        this.transactionPeriod = transactionPeriod;
        this.transactionType = transactionType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAgPolicyMaster() {
        return agPolicyMaster;
    }

    public void setAgPolicyMaster(String agPolicyMaster) {
        this.agPolicyMaster = agPolicyMaster;
    }

    public String getAgentProducing() {
        return agentProducing;
    }

    public void setAgentProducing(String agentProducing) {
        this.agentProducing = agentProducing;
    }

    public String getAgentProducingUser() {
        return agentProducingUser;
    }

    public void setAgentProducingUser(String agentProducingUser) {
        this.agentProducingUser = agentProducingUser;
    }

    public boolean getAgentProducingVisibility() {
        return agentProducingVisibility;
    }

    public void setAgentProducingVisibility(boolean agentProducingVisibility) {
        this.agentProducingVisibility = agentProducingVisibility;
    }

    public String getAgentServicing() {
        return agentServicing;
    }

    public void setAgentServicing(String agentServicing) {
        this.agentServicing = agentServicing;
    }

    public String getAgentServicingUser() {
        return agentServicingUser;
    }

    public void setAgentServicingUser(String agentServicingUser) {
        this.agentServicingUser = agentServicingUser;
    }

    public boolean getAgentServicingVisibility() {
        return agentServicingVisibility;
    }

    public void setAgentServicingVisibility(boolean agentServicingVisibility) {
        this.agentServicingVisibility = agentServicingVisibility;
    }

    public String getBenefitCode() {
        return benefitCode;
    }

    public void setBenefitCode(String benefitCode) {
        this.benefitCode = benefitCode;
    }

    public String getBenefitType() {
        return benefitType;
    }

    public void setBenefitType(String benefitType) {
        this.benefitType = benefitType;
    }

    public boolean getCheckCurrentDate() {
        return checkCurrentDate;
    }

    public void setCheckCurrentDate(boolean checkCurrentDate) {
        this.checkCurrentDate = checkCurrentDate;
    }

    public String getEsdAgentCode() {
        return esdAgentCode;
    }

    public void setEsdAgentCode(String esdAgentCode) {
        this.esdAgentCode = esdAgentCode;
    }

    public String getEsdAgentUnit() {
        return esdAgentUnit;
    }

    public void setEsdAgentUnit(String esdAgentUnit) {
        this.esdAgentUnit = esdAgentUnit;
    }

    public String getEsdAgentUnitName() {
        return esdAgentUnitName;
    }

    public void setEsdAgentUnitName(String esdAgentUnitName) {
        this.esdAgentUnitName = esdAgentUnitName;
    }

    public BigDecimal getFycRycAmount() {
        return fycRycAmount;
    }

    public void setFycRycAmount(BigDecimal fycRycAmount) {
        this.fycRycAmount = fycRycAmount;
    }

    // public boolean getIsdeleted() {
    //     return isdeleted;
    // }

    // public void setIsdeleted(boolean isdeleted) {
    //     this.isdeleted = isdeleted;
    // }

    // public Date getLastactivitydate() {
    //     return lastactivitydate;
    // }

    // public void setLastactivitydate(Date lastactivitydate) {
    //     this.lastactivitydate = lastactivitydate;
    // }

    public String getLastmodifiedbyid() {
        return lastmodifiedbyid;
    }

    public void setLastmodifiedbyid(String lastmodifiedbyid) {
        this.lastmodifiedbyid = lastmodifiedbyid;
    }

    public Date getLastmodifieddate() {
        return lastmodifieddate;
    }

    public void setLastmodifieddate(Date lastmodifieddate) {
        this.lastmodifieddate = lastmodifieddate;
    }

    // public Date getLastreferenceddate() {
    //     return lastreferenceddate;
    // }

    // public void setLastreferenceddate(Date lastreferenceddate) {
    //     this.lastreferenceddate = lastreferenceddate;
    // }

    // public Date getLastvieweddate() {
    //     return lastvieweddate;
    // }

    // public void setLastvieweddate(Date lastvieweddate) {
    //     this.lastvieweddate = lastvieweddate;
    // }

    public String getLineAgentCode() {
        return lineAgentCode;
    }

    public void setLineAgentCode(String lineAgentCode) {
        this.lineAgentCode = lineAgentCode;
    }

    public String getLineAgentUnit() {
        return lineAgentUnit;
    }

    public void setLineAgentUnit(String lineAgentUnit) {
        this.lineAgentUnit = lineAgentUnit;
    }

    public String getLineAgentUnitName() {
        return lineAgentUnitName;
    }

    public void setLineAgentUnitName(String lineAgentUnitName) {
        this.lineAgentUnitName = lineAgentUnitName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOwnerid() {
        return ownerid;
    }

    public void setOwnerid(String ownerid) {
        this.ownerid = ownerid;
    }

    public String getPaymentMethodCode() {
        return paymentMethodCode;
    }

    public void setPaymentMethodCode(String paymentMethodCode) {
        this.paymentMethodCode = paymentMethodCode;
    }

    public String getPaymentMethodName() {
        return paymentMethodName;
    }

    public void setPaymentMethodName(String paymentMethodName) {
        this.paymentMethodName = paymentMethodName;
    }

    public String getPaymentMode() {
        return paymentMode;
    }

    public void setPaymentMode(String paymentMode) {
        this.paymentMode = paymentMode;
    }

    public String getPaymentModeName() {
        return paymentModeName;
    }

    public void setPaymentModeName(String paymentModeName) {
        this.paymentModeName = paymentModeName;
    }

    public Date getPolicyDueDate() {
        return policyDueDate;
    }

    public void setPolicyDueDate(Date policyDueDate) {
        this.policyDueDate = policyDueDate;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public Short getPremiumPeriod() {
        return premiumPeriod;
    }

    public void setPremiumPeriod(Short premiumPeriod) {
        this.premiumPeriod = premiumPeriod;
    }

    public String getPremiumYear() {
        return premiumYear;
    }

    public void setPremiumYear(String premiumYear) {
        this.premiumYear = premiumYear;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getReferenceCode() {
        return referenceCode;
    }

    public void setReferenceCode(String referenceCode) {
        this.referenceCode = referenceCode;
    }

    public String getSdAgentCode() {
        return sdAgentCode;
    }

    public void setSdAgentCode(String sdAgentCode) {
        this.sdAgentCode = sdAgentCode;
    }

    public String getSdAgentUnit() {
        return sdAgentUnit;
    }

    public void setSdAgentUnit(String sdAgentUnit) {
        this.sdAgentUnit = sdAgentUnit;
    }

    public String getSdAgentUnitName() {
        return sdAgentUnitName;
    }

    public void setSdAgentUnitName(String sdAgentUnitName) {
        this.sdAgentUnitName = sdAgentUnitName;
    }

    public String getSmAgentCode() {
        return smAgentCode;
    }

    public void setSmAgentCode(String smAgentCode) {
        this.smAgentCode = smAgentCode;
    }

    public String getSmAgentUnit() {
        return smAgentUnit;
    }

    public void setSmAgentUnit(String smAgentUnit) {
        this.smAgentUnit = smAgentUnit;
    }

    public String getSmAgentUnitName() {
        return smAgentUnitName;
    }

    public void setSmAgentUnitName(String smAgentUnitName) {
        this.smAgentUnitName = smAgentUnitName;
    }

    // public Date getSystemmodstamp() {
    //     return systemmodstamp;
    // }

    // public void setSystemmodstamp(Date systemmodstamp) {
    //     this.systemmodstamp = systemmodstamp;
    // }

    public BigDecimal getTransactionAmount() {
        return transactionAmount;
    }

    public void setTransactionAmount(BigDecimal transactionAmount) {
        this.transactionAmount = transactionAmount;
    }

    public Date getTransactionBookDate() {
        return transactionBookDate;
    }

    public void setTransactionBookDate(Date transactionBookDate) {
        this.transactionBookDate = transactionBookDate;
    }

    public Date getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(Date transactionDate) {
        this.transactionDate = transactionDate;
    }

    public Date getTransactionEffectiveDate() {
        return transactionEffectiveDate;
    }

    public void setTransactionEffectiveDate(Date transactionEffectiveDate) {
        this.transactionEffectiveDate = transactionEffectiveDate;
    }

    public String getTransactionPeriod() {
        return transactionPeriod;
    }

    public void setTransactionPeriod(String transactionPeriod) {
        this.transactionPeriod = transactionPeriod;
    }

    public String getTransactionType() {
        return transactionType;
    }

    public void setTransactionType(String transactionType) {
        this.transactionType = transactionType;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AgFinancialTransaction)) {
            return false;
        }
        AgFinancialTransaction other = (AgFinancialTransaction) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.AgFinancialTransaction[ id=" + id + " ]";
    }

}
