
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.UUID;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;

/**
 * 
 */
@Entity
@Table(name = "rbl_agent_report", catalog = "", schema = "")
public class RblAgentReport implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private UUID id;
    @Basic(optional = false)
    @Column(name = "period_year", nullable = false, length = 4)
    private String periodYear;
    @Basic(optional = false)
    @Column(name = "period_month", nullable = false, length = 2)
    private String periodMonth;
    @Basic(optional = false)
    @Column(name = "period", nullable = false, length = 2)
    private String period;
    @Basic(optional = false)
    @Column(name = "filename", nullable = false, length = 255)
    private String filename;
    @Column(name = "mime_type", length = 64)
    private String mimeType;
    @Column(name = "size")
    private Long size;
    @Column(name = "line_code", length = 2147483647)
    private String lineCode;
    @Column(name = "group_code", length = 2147483647)
    private String groupCode;
    @Column(name = "unit_code", length = 2147483647)
    private String unitCode;
    @Column(name = "agent_code", length = 2147483647)
    private String agentCode;
    @Column(name = "line_name", length = 2147483647)
    private String lineName;
    @Column(name = "report_name", length = 2147483647)
    private String reportName;
    @Column(name = "drive_id", length = 2147483647)
    private String driveId;
    @Column(name = "item_id", length = 2147483647)
    private String itemId;
    @Transient
    private String downloadUrl;
    @Column(name = "guid")
    private UUID guid;
    @Temporal(TemporalType.DATE)
    @Column(name = "created_date")
    private Date createDate;

    public RblAgentReport() {
    }

    public RblAgentReport(UUID id) {
        this.id = id;
    }

    public RblAgentReport(String periodYear, String periodMonth, String period, String filename, String mimeType,
            Long size, String lineCode, String groupCode, String unitCode, String agentCode, String lineName,
            String reportName, String driveId, String itemId, UUID guid, Date createDate) {
        this.periodYear = periodYear;
        this.periodMonth = periodMonth;
        this.period = period;
        this.filename = filename;
        this.mimeType = mimeType;
        this.size = size;
        this.lineCode = lineCode;
        this.groupCode = groupCode;
        this.unitCode = unitCode;
        this.agentCode = agentCode;
        this.lineName = lineName;
        this.reportName = reportName;
        this.driveId = driveId;
        this.itemId = itemId;
        this.guid = guid;
        this.createDate = createDate;
    }

    /**
     * @return Long return the id
     */
    public UUID getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     * @return Long return the id
     */
    public UUID getGuid() {
        return guid;
    }

    /**
     * @param id the id to set
     */
    public void setGuid(UUID guid) {
        this.guid = guid;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    /**
     * @return String return the periodYear
     */
    public String getPeriodYear() {
        return periodYear;
    }

    /**
     * @param periodYear the periodYear to set
     */
    public void setPeriodYear(String periodYear) {
        this.periodYear = periodYear;
    }

    /**
     * @return String return the periodMonth
     */
    public String getPeriodMonth() {
        return periodMonth;
    }

    /**
     * @param periodMonth the periodMonth to set
     */
    public void setPeriodMonth(String periodMonth) {
        this.periodMonth = periodMonth;
    }

    /**
     * @return String return the period
     */
    public String getPeriod() {
        return period;
    }

    /**
     * @param period the period to set
     */
    public void setPeriod(String period) {
        this.period = period;
    }

    /**
     * @return String return the filename
     */
    public String getFilename() {
        return filename;
    }

    /**
     * @param filename the filename to set
     */
    public void setFilename(String filename) {
        this.filename = filename;
    }

    /**
     * @return String return the mimeType
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * @param mimeType the mimeType to set
     */
    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }

    /**
     * @return Long return the size
     */
    public Long getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(Long size) {
        this.size = size;
    }

    /**
     * @return String return the lineCode
     */
    public String getLineCode() {
        return lineCode;
    }

    /**
     * @param lineCode the lineCode to set
     */
    public void setLineCode(String lineCode) {
        this.lineCode = lineCode;
    }

    /**
     * @return String return the groupCode
     */
    public String getGroupCode() {
        return groupCode;
    }

    /**
     * @param groupCode the groupCode to set
     */
    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    /**
     * @return String return the unitCode
     */
    public String getUnitCode() {
        return unitCode;
    }

    /**
     * @param unitCode the unitCode to set
     */
    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    /**
     * @return String return the agentCode
     */
    public String getAgentCode() {
        return agentCode;
    }

    /**
     * @param agentCode the agentCode to set
     */
    public void setAgentCode(String agentCode) {
        this.agentCode = agentCode;
    }

    /**
     * @return String return the lineName
     */
    public String getLineName() {
        return lineName;
    }

    /**
     * @param lineName the lineName to set
     */
    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    /**
     * @return String return the reportName
     */
    public String getReportName() {
        return reportName;
    }

    /**
     * @param reportName the reportName to set
     */
    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    /**
     * @return String return the driveId
     */
    public String getDriveId() {
        return driveId;
    }

    /**
     * @param driveId the driveId to set
     */
    public void setDriveId(String driveId) {
        this.driveId = driveId;
    }

    /**
     * @return String return the itemId
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * @param itemId the itemId to set
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getdownloadUrl() {
        return this.downloadUrl;
    }

    public void setdownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RblAgentReport)) {
            return false;
        }
        RblAgentReport other = (RblAgentReport) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.RblAgentReport[ id=" + id + " ]";
    }

}
