/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.UUID;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author user
 */
@Entity
@Table(name = "rbl_schedule", catalog = "", schema = "")
public class RblSchedule implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "schedule_id", nullable = false)
    private UUID scheduleId;
    @Column(name = "period_id", length = 10)
    private String periodId;
    @Basic(optional = false)
    @Column(name = "period_year", nullable = false, length = 4)
    private String periodYear;
    @Basic(optional = false)
    @Column(name = "period_month", nullable = false, length = 2)
    private String periodMonth;
    @Column(name = "benefit_period_from")
    @Temporal(TemporalType.DATE)
    private Date benefitPeriodFrom;
    @Column(name = "benefit_period_to")
    @Temporal(TemporalType.DATE)
    private Date benefitPeriodTo;
    @Basic(optional = false)
    @Column(name = "com_period_from", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date comPeriodFrom;
    @Basic(optional = false)
    @Column(name = "com_period_to", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date comPeriodTo;
    @Basic(optional = false)
    @Column(name = "payment_date", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date paymentDate;
    @Basic(optional = false)
    @Column(name = "cycle_name", nullable = false, length = 128)
    private String cycleName;
    @Column(name = "create_by")
    private BigInteger createBy;
    @Column(name = "create_date")
    @Temporal(TemporalType.DATE)
    private Date createDate;
    @Column(name = "update_by")
    private BigInteger updateBy;
    @Column(name = "update_date")
    @Temporal(TemporalType.DATE)
    private Date updateDate;
    @Column(name = "schedule_desc", length = 512)
    private String scheduleDesc;
    @Basic(optional = false)
    @Column(name = "is_paid", nullable = false)
    private Character isPaid;
    @Basic(optional = false)
    @Column(name = "is_deleted", nullable = false)
    private Character isDeleted;

    public RblSchedule() {
    }

    public RblSchedule(UUID scheduleId) {
        this.scheduleId = scheduleId;
    }

    public RblSchedule(UUID scheduleId, String periodYear, String periodMonth, Date comPeriodFrom, Date comPeriodTo,
            Date paymentDate, String cycleName, Character isPaid, Character isDeleted) {
        this.scheduleId = scheduleId;
        this.periodYear = periodYear;
        this.periodMonth = periodMonth;
        this.comPeriodFrom = comPeriodFrom;
        this.comPeriodTo = comPeriodTo;
        this.paymentDate = paymentDate;
        this.cycleName = cycleName;
        this.isPaid = isPaid;
        this.isDeleted = isDeleted;
    }

    public UUID getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(UUID scheduleId) {
        this.scheduleId = scheduleId;
    }

    public String getPeriodId() {
        return periodId;
    }

    public void setPeriodId(String periodId) {
        this.periodId = periodId;
    }

    public String getPeriodYear() {
        return periodYear;
    }

    public void setPeriodYear(String periodYear) {
        this.periodYear = periodYear;
    }

    public String getPeriodMonth() {
        return periodMonth;
    }

    public void setPeriodMonth(String periodMonth) {
        this.periodMonth = periodMonth;
    }

    public Date getBenefitPeriodFrom() {
        return benefitPeriodFrom;
    }

    public void setBenefitPeriodFrom(Date benefitPeriodFrom) {
        this.benefitPeriodFrom = benefitPeriodFrom;
    }

    public Date getBenefitPeriodTo() {
        return benefitPeriodTo;
    }

    public void setBenefitPeriodTo(Date benefitPeriodTo) {
        this.benefitPeriodTo = benefitPeriodTo;
    }

    public Date getComPeriodFrom() {
        return comPeriodFrom;
    }

    public void setComPeriodFrom(Date comPeriodFrom) {
        this.comPeriodFrom = comPeriodFrom;
    }

    public Date getComPeriodTo() {
        return comPeriodTo;
    }

    public void setComPeriodTo(Date comPeriodTo) {
        this.comPeriodTo = comPeriodTo;
    }

    public Date getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }

    public String getCycleName() {
        return cycleName;
    }

    public void setCycleName(String cycleName) {
        this.cycleName = cycleName;
    }

    public BigInteger getCreateBy() {
        return createBy;
    }

    public void setCreateBy(BigInteger createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public BigInteger getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(BigInteger updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getScheduleDesc() {
        return scheduleDesc;
    }

    public void setScheduleDesc(String scheduleDesc) {
        this.scheduleDesc = scheduleDesc;
    }

    public Character getIsPaid() {
        return isPaid;
    }

    public void setIsPaid(Character isPaid) {
        this.isPaid = isPaid;
    }

    public Character getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Character isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (scheduleId != null ? scheduleId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RblSchedule)) {
            return false;
        }
        RblSchedule other = (RblSchedule) object;
        if ((this.scheduleId == null && other.scheduleId != null)
                || (this.scheduleId != null && !this.scheduleId.equals(other.scheduleId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "{" + "com.b3.rbl.compensation.db.entity.RblSchedule[ scheduleId=" + scheduleId + " ]" + ", periodId='"
                + getPeriodId() + "'" + ", periodYear='" + getPeriodYear() + "'" + ", periodMonth='" + getPeriodMonth()
                + "'" + ", benefitPeriodFrom='" + getBenefitPeriodFrom() + "'" + ", benefitPeriodTo='"
                + getBenefitPeriodTo() + "'" + ", comPeriodFrom='" + getComPeriodFrom() + "'" + ", comPeriodTo='"
                + getComPeriodTo() + "'" + ", paymentDate='" + getPaymentDate() + "'" + ", cycleName='" + getCycleName()
                + "'" + ", createBy='" + getCreateBy() + "'" + ", createDate='" + getCreateDate() + "'" + ", updateBy='"
                + getUpdateBy() + "'" + ", updateDate='" + getUpdateDate() + "'" + ", scheduleDesc='"
                + getScheduleDesc() + "'" + ", isPaid='" + getIsPaid() + "'" + ", isDeleted='" + getIsDeleted() + "'"
                + "}";
    }

}
