/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author user
 */
@Entity
@Table(name = "tmp_account", catalog = "", schema = "")
public class TmpAccount implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private Long id;
    @Column(name = "doc_no")
    private Integer docNo;
    @Column(name = "company", length = 255)
    private String company;
    @Column(name = "doc_type", length = 8)
    private String docType;
    @Column(name = "posting_date")
    private Integer postingDate;
    @Column(name = "document_date")
    private Integer documentDate;
    @Column(name = "exchange_rate", precision = 18, scale = 2)
    private BigDecimal exchangeRate;
    @Column(name = "currency", length = 255)
    private String currency;
    @Column(name = "reference", length = 255)
    private String reference;
    @Column(name = "doc_header_text", length = 255)
    private String docHeaderText;
    @Column(name = "branch", length = 255)
    private String branch;
    @Column(name = "line_item", length = 255)
    private String lineItem;
    @Column(name = "pk", length = 255)
    private String pk;
    @Column(name = "special_gl", length = 255)
    private String specialGl;
    @Column(name = "gl_acc", length = 255)
    private String glAcc;
    @Column(name = "customer", length = 255)
    private String customer;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Column(name = "amount", precision = 18, scale = 2)
    private BigDecimal amount;
    @Column(name = "amount_in_local_cur_thb", precision = 18, scale = 2)
    private BigDecimal amountInLocalCurThb;
    @Column(name = "cost_center", length = 255)
    private String costCenter;
    @Column(name = "profit_center", length = 255)
    private String profitCenter;
    @Column(name = "internal_order", length = 255)
    private String internalOrder;
    @Column(name = "business_area", length = 255)
    private String businessArea;
    @Column(name = "business_place", length = 255)
    private String businessPlace;
    @Column(name = "tax_amount", length = 255)
    private String taxAmount;
    @Column(name = "vat_code", length = 255)
    private String vatCode;
    @Column(name = "assignment", length = 255)
    private String assignment;
    @Column(name = "line_item_text", length = 255)
    private String lineItemText;
    @Column(name = "ref_1", length = 255)
    private String ref1;
    @Column(name = "ref_2", length = 255)
    private String ref2;
    @Column(name = "ref_3", length = 255)
    private String ref3;
    @Column(name = "wht_type", length = 255)
    private String whtType;
    @Column(name = "wht_code", length = 255)
    private String whtCode;
    @Column(name = "wht_base", length = 255)
    private String whtBase;
    @Column(name = "profit_center_channel", length = 255)
    private String profitCenterChannel;
    @Column(name = "prd_code", length = 255)
    private String prdCode;
    @Column(name = "rider", length = 255)
    private String rider;
    @Column(name = "level_7", length = 255)
    private String level7;
    @Column(name = "sector", length = 255)
    private String sector;
    @Column(name = "checking_amount", length = 255)
    private String checkingAmount;
    @Basic(optional = false)
    @Column(name = "paid_date", nullable = false)
    private int paidDate;

    public TmpAccount() {
    }

    public TmpAccount(Long id) {
        this.id = id;
    }

    public TmpAccount(Long id, int paidDate) {
        this.id = id;
        this.paidDate = paidDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getDocNo() {
        return docNo;
    }

    public void setDocNo(Integer docNo) {
        this.docNo = docNo;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public int getPostingDate() {
        return postingDate;
    }

    public void setPostingDate(int postingDate) {
        this.postingDate = postingDate;
    }

    public int getDocumentDate() {
        return documentDate;
    }

    public void setDocumentDate(int documentDate) {
        this.documentDate = documentDate;
    }

    public BigDecimal getExchangeRate() {
        return exchangeRate;
    }

    public void setExchangeRate(BigDecimal exchangeRate) {
        this.exchangeRate = exchangeRate;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public String getDocHeaderText() {
        return docHeaderText;
    }

    public void setDocHeaderText(String docHeaderText) {
        this.docHeaderText = docHeaderText;
    }

    public String getBranch() {
        return branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

    public String getLineItem() {
        return lineItem;
    }

    public void setLineItem(String lineItem) {
        this.lineItem = lineItem;
    }

    public String getPk() {
        return pk;
    }

    public void setPk(String pk) {
        this.pk = pk;
    }

    public String getSpecialGl() {
        return specialGl;
    }

    public void setSpecialGl(String specialGl) {
        this.specialGl = specialGl;
    }

    public String getGlAcc() {
        return glAcc;
    }

    public void setGlAcc(String glAcc) {
        this.glAcc = glAcc;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getAmountInLocalCurThb() {
        return amountInLocalCurThb;
    }

    public void setAmountInLocalCurThb(BigDecimal amountInLocalCurThb) {
        this.amountInLocalCurThb = amountInLocalCurThb;
    }

    public String getCostCenter() {
        return costCenter;
    }

    public void setCostCenter(String costCenter) {
        this.costCenter = costCenter;
    }

    public String getProfitCenter() {
        return profitCenter;
    }

    public void setProfitCenter(String profitCenter) {
        this.profitCenter = profitCenter;
    }

    public String getInternalOrder() {
        return internalOrder;
    }

    public void setInternalOrder(String internalOrder) {
        this.internalOrder = internalOrder;
    }

    public String getBusinessArea() {
        return businessArea;
    }

    public void setBusinessArea(String businessArea) {
        this.businessArea = businessArea;
    }

    public String getBusinessPlace() {
        return businessPlace;
    }

    public void setBusinessPlace(String businessPlace) {
        this.businessPlace = businessPlace;
    }

    public String getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(String taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getVatCode() {
        return vatCode;
    }

    public void setVatCode(String vatCode) {
        this.vatCode = vatCode;
    }

    public String getAssignment() {
        return assignment;
    }

    public void setAssignment(String assignment) {
        this.assignment = assignment;
    }

    public String getLineItemText() {
        return lineItemText;
    }

    public void setLineItemText(String lineItemText) {
        this.lineItemText = lineItemText;
    }

    public String getRef1() {
        return ref1;
    }

    public void setRef1(String ref1) {
        this.ref1 = ref1;
    }

    public String getRef2() {
        return ref2;
    }

    public void setRef2(String ref2) {
        this.ref2 = ref2;
    }

    public String getRef3() {
        return ref3;
    }

    public void setRef3(String ref3) {
        this.ref3 = ref3;
    }

    public String getWhtType() {
        return whtType;
    }

    public void setWhtType(String whtType) {
        this.whtType = whtType;
    }

    public String getWhtCode() {
        return whtCode;
    }

    public void setWhtCode(String whtCode) {
        this.whtCode = whtCode;
    }

    public String getWhtBase() {
        return whtBase;
    }

    public void setWhtBase(String whtBase) {
        this.whtBase = whtBase;
    }

    public String getProfitCenterChannel() {
        return profitCenterChannel;
    }

    public void setProfitCenterChannel(String profitCenterChannel) {
        this.profitCenterChannel = profitCenterChannel;
    }

    public String getPrdCode() {
        return prdCode;
    }

    public void setPrdCode(String prdCode) {
        this.prdCode = prdCode;
    }

    public String getRider() {
        return rider;
    }

    public void setRider(String rider) {
        this.rider = rider;
    }

    public String getLevel7() {
        return level7;
    }

    public void setLevel7(String level7) {
        this.level7 = level7;
    }

    public String getSector() {
        return sector;
    }

    public void setSector(String sector) {
        this.sector = sector;
    }

    public String getCheckingAmount() {
        return checkingAmount;
    }

    public void setCheckingAmount(String checkingAmount) {
        this.checkingAmount = checkingAmount;
    }

    public int getPaidDate() {
        return paidDate;
    }

    public void setPaidDate(int paidDate) {
        this.paidDate = paidDate;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TmpAccount)) {
            return false;
        }
        TmpAccount other = (TmpAccount) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "{" +
                " TmpAccount.id='" + getId() + "'" +
                ", docNo='" + getDocNo() + "'" +
                ", company='" + getCompany() + "'" +
                ", docType='" + getDocType() + "'" +
                ", postingDate='" + getPostingDate() + "'" +
                ", documentDate='" + getDocumentDate() + "'" +
                ", exchangeRate='" + getExchangeRate() + "'" +
                ", currency='" + getCurrency() + "'" +
                ", reference='" + getReference() + "'" +
                ", docHeaderText='" + getDocHeaderText() + "'" +
                ", branch='" + getBranch() + "'" +
                ", lineItem='" + getLineItem() + "'" +
                ", pk='" + getPk() + "'" +
                ", specialGl='" + getSpecialGl() + "'" +
                ", glAcc='" + getGlAcc() + "'" +
                ", customer='" + getCustomer() + "'" +
                ", amount='" + getAmount() + "'" +
                ", amountInLocalCurThb='" + getAmountInLocalCurThb() + "'" +
                ", costCenter='" + getCostCenter() + "'" +
                ", profitCenter='" + getProfitCenter() + "'" +
                ", internalOrder='" + getInternalOrder() + "'" +
                ", businessArea='" + getBusinessArea() + "'" +
                ", businessPlace='" + getBusinessPlace() + "'" +
                ", taxAmount='" + getTaxAmount() + "'" +
                ", vatCode='" + getVatCode() + "'" +
                ", assignment='" + getAssignment() + "'" +
                ", lineItemText='" + getLineItemText() + "'" +
                ", ref1='" + getRef1() + "'" +
                ", ref2='" + getRef2() + "'" +
                ", ref3='" + getRef3() + "'" +
                ", whtType='" + getWhtType() + "'" +
                ", whtCode='" + getWhtCode() + "'" +
                ", whtBase='" + getWhtBase() + "'" +
                ", profitCenterChannel='" + getProfitCenterChannel() + "'" +
                ", prdCode='" + getPrdCode() + "'" +
                ", rider='" + getRider() + "'" +
                ", level7='" + getLevel7() + "'" +
                ", sector='" + getSector() + "'" +
                ", checkingAmount='" + getCheckingAmount() + "'" +
                "}";
    }

}
