/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.b3.rbl.compensation.db.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author user
 */
@Entity
@Table(name = "tmp_summary", catalog = "", schema = "")
@NamedQueries({
        @NamedQuery(name = "TmpSummary.findAll", query = "SELECT t FROM TmpSummary t"),
        @NamedQuery(name = "TmpSummary.findById", query = "SELECT t FROM TmpSummary t WHERE t.id = :id"),
        @NamedQuery(name = "TmpSummary.findByCode", query = "SELECT t FROM TmpSummary t WHERE t.code = :code"),
        @NamedQuery(name = "TmpSummary.findByDescription", query = "SELECT t FROM TmpSummary t WHERE t.description = :description"),
        @NamedQuery(name = "TmpSummary.findByIncludeTax", query = "SELECT t FROM TmpSummary t WHERE t.includeTax = :includeTax"),
        @NamedQuery(name = "TmpSummary.findByWithoutTax", query = "SELECT t FROM TmpSummary t WHERE t.withoutTax = :withoutTax"),
        @NamedQuery(name = "TmpSummary.findByReleaseHold", query = "SELECT t FROM TmpSummary t WHERE t.releaseHold = :releaseHold"),
        @NamedQuery(name = "TmpSummary.findByTotal", query = "SELECT t FROM TmpSummary t WHERE t.total = :total"),
        @NamedQuery(name = "TmpSummary.findByHold", query = "SELECT t FROM TmpSummary t WHERE t.hold = :hold"),
        @NamedQuery(name = "TmpSummary.findByGrandTotal", query = "SELECT t FROM TmpSummary t WHERE t.grandTotal = :grandTotal") })
public class TmpSummary implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id", nullable = false)
    private Long id;
    @Column(name = "code", length = 255)
    private String code;
    @Column(name = "description", length = 255)
    private String description;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @Column(name = "include_tax", precision = 18, scale = 2)
    private BigDecimal includeTax;
    @Column(name = "without_tax", precision = 18, scale = 2)
    private BigDecimal withoutTax;
    @Column(name = "release_hold", precision = 18, scale = 2)
    private BigDecimal releaseHold;
    @Column(name = "total", precision = 18, scale = 2)
    private BigDecimal total;
    @Column(name = "hold", precision = 18, scale = 2)
    private BigDecimal hold;
    @Column(name = "grand_total", precision = 18, scale = 2)
    private BigDecimal grandTotal;
    @Column(name = "paid_date", nullable = false)
    private Integer paidDate;

    public TmpSummary() {
    }

    public TmpSummary(Long id) {
        this.id = id;
    }

    public Integer getPaidDate() {
        return paidDate;
    }

    public void setPaidDate(Integer paidDate) {
        this.paidDate = paidDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getIncludeTax() {
        return includeTax;
    }

    public void setIncludeTax(BigDecimal includeTax) {
        this.includeTax = includeTax;
    }

    public BigDecimal getWithoutTax() {
        return withoutTax;
    }

    public void setWithoutTax(BigDecimal withoutTax) {
        this.withoutTax = withoutTax;
    }

    public BigDecimal getReleaseHold() {
        return releaseHold;
    }

    public void setReleaseHold(BigDecimal releaseHold) {
        this.releaseHold = releaseHold;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }

    public BigDecimal getHold() {
        return hold;
    }

    public void setHold(BigDecimal hold) {
        this.hold = hold;
    }

    public BigDecimal getGrandTotal() {
        return grandTotal;
    }

    public void setGrandTotal(BigDecimal grandTotal) {
        this.grandTotal = grandTotal;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TmpSummary)) {
            return false;
        }
        TmpSummary other = (TmpSummary) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.b3.rbl.compensation.db.entity.TmpSummary[ id=" + id + " ]";
    }

}
