package com.b3.rbl.compensation.db.repository;

import java.util.List;
import java.util.UUID;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.b3.rbl.compensation.db.entity.RblAgentReport;

@Repository
public interface RblAgenReportRepository extends CrudRepository<RblAgentReport, UUID> {

        @Transactional
        @Modifying
        @Query(value = "delete from RblAgentReport r where (r.periodYear = :periodYear and r.periodMonth =  :periodMonth and r.period = :period ) or r.reportName = '02_Hold' ")
        public void clearReport(@Param("periodYear") String periodYear, @Param("periodMonth") String periodMonth,
                        @Param("period") String period);

        public List<RblAgentReport> findByAgentCodeAndReportNameAndPeriodYearAndPeriodMonthAndPeriod(String agentCode,
                        String reportName, String periodYear, String periodMonth, String period);

        @Query(value = "select r from RblAgentReport r where r.agentCode = :agentCode and concat(r.periodYear,r.periodMonth, r.period) = :periodId and r.reportName = :reportName")
        public List<RblAgentReport> searchReport(@Param("reportName") String reportName,
                        @Param("periodId") String periodId, @Param("agentCode") String agentCode);
}
