package com.b3.rbl.compensation.db.repository;

import com.b3.rbl.compensation.db.entity.TmpPayAll;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface TmpPayAllRepository extends CrudRepository<TmpPayAll, Long> {

    @Modifying
    @Query(value = "DELETE FROM compensation.tmp_pay_all WHERE  paid_date = :paidDate", nativeQuery = true)
    public void deleteByPaidDate(@Param("paidDate") Integer paidDate);

    @Query(value = "select count( distinct sm_unit_name) from compensation.f_report_hrms(:paidDate, :condition)", nativeQuery = true)
    public Integer getMaxHrmsGroup(@Param("paidDate") Integer paidDate, @Param("condition") String condition);
}
