package com.b3.rbl.compensation.model.salesforce;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = false)
public class AccountDto {

    @JsonProperty("Id")
    private String id;
    @JsonProperty("Absolute_Assignee__c")
    private Boolean absoluteAssignee;
    @JsonProperty("Account_of_Company__c")
    private String accountOfCompany;
    @JsonProperty("Agent__c")
    private Boolean agent;
    @JsonProperty("Agent_Bank_Account_No__c")
    private String agentBankAccountNo;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @JsonProperty("Agent_Birth_Date__c")
    private Date agentBirthDate;
    @JsonProperty("Agent_Code__c")
    private String agentCode;
    @JsonProperty("Agent_Effective_Date__c")
    private Date agentEffectiveDate;
    @JsonProperty("Agent_Email_Address__c")
    private String agentEmailAddress;
    @JsonProperty("Agent_Email_Address_Temp__c")
    private String agentEmailAddressTemp;
    /*
     * @JsonProperty( "agent_esd")
     * private String agentEsd;
     */
    @JsonProperty("Agent_First_Name__c")
    private String agentFirstName;
    @JsonProperty("Agent_Id_Card__c")
    private String agentIdCard;
    @JsonProperty("Agent_Join_Date__c")
    private Date agentJoinDate;
    @JsonProperty("Agent_Level_Code__c")
    private String agentLevelCode;
    @JsonProperty("Agent_Level_Code_Detail__c")
    private String agentLevelCodeDetail;
    @JsonProperty("Agent_Level_Name__c")
    private String agentLevelName;
    /*
     * @JsonProperty( "agent_level_short_name")
     * private String agentLevelShortName;
     */
    @JsonProperty("Agent_License_Code__c")
    private String agentLicenseCode;
    @JsonProperty("Agent_License_Effective_Date__c")
    private Date agentLicenseEffectiveDate;
    @JsonProperty("Agent_License_Expire_Date__c")
    private Date agentLicenseExpireDate;
    @JsonProperty("Agent_License_First_Register_Date__c")
    private Date agentLicenseFirstRegisterDate;
    @JsonProperty("Agent_License_First_Register_DateLastMon__c")
    private Boolean agentLicenseFirstRegisterDatelastmon;
    @JsonProperty("Agent_License_Register_Date__c")
    private Date agentLicenseRegisterDate;
    /*
     * @JsonProperty( "agent_line")
     * private String agentLine;
     */
    /*
     * @JsonProperty( "agent_line_staging")
     * private String agentLineStaging;
     */
    @JsonProperty("Agent_Mobile_No__c")
    private String agentMobileNo;
    /*
     * @JsonProperty( "agent_pending_reason")
     * private String agentPendingReason;
     */
    @JsonProperty("Agent_Recruiter_Code__c")
    private String agentRecruiterCode;
    /*
     * @JsonProperty( "agent_rejoin_date")
     * private Date agentRejoinDate;
     */
    @JsonProperty("Agent_Status__c")
    private String agentStatus;
    @JsonProperty("Agent_Surname__c")
    private String agentSurname;
    /*
     * @JsonProperty( "agent_terminate_date")
     * 
     * @Temporal(TemporalType.DATE)
     * private Date agentTerminateDate;
     * 
     * @JsonProperty( "agent_terminate_reason")
     * private String agentTerminateReason;
     */
    @JsonProperty("Agent_Title_Name__c")
    private String agentTitleName;
    @JsonProperty("Agent_Type_Name__c")
    private String agentTypeName;
    @JsonProperty("Bank_Branch__c")
    private String bankBranch;
    @JsonProperty("Bank_Code__c")
    private String bankCode;
    @JsonProperty("Bank_Type__c")
    private String bankType;
    @JsonProperty("Beneficiary__c")
    private Boolean beneficiary;
    @JsonProperty("CreatedDate")
    private Date createddate;
    @JsonProperty("date_of_birth")
    private Date dateOfBirth;
    @JsonProperty("Days__c")
    private String days;
    @JsonProperty("Days_as_Customer__c")
    private Long daysAsCustomer;
    @JsonProperty("Employee__c")
    private Boolean employee;
    @JsonProperty("ESD_Agent_Code__c")
    private String esdAgentCode;
    @JsonProperty("ESD_Unit_Code__c")
    private String esdUnitCode;
    @JsonProperty("ESD_Unit_Name__c")
    private String esdUnitName;
    @JsonProperty("Holding_Unit_Link_Universal_Life_check__c")
    private Boolean holdingUnitLinkUniversalLifeCheck;
    @JsonProperty("Inactive__c")
    private Boolean inactive;
    @JsonProperty("Insured__c")
    private Boolean insured;
    @JsonProperty("Is_birth_next_month__c")
    private Boolean isBirthNextMonth;
    @JsonProperty("Is_birth_previous_month__c")
    private Boolean isBirthPreviousMonth;
    @JsonProperty("Is_birth_this_month__c")
    private Boolean isBirthThisMonth;
    @JsonProperty("Is_Inserted__c")
    private Boolean isInserted;
    @JsonProperty("Is_Partner_Community__c")
    private Boolean isPartnerCommunity;
    @JsonProperty("Is_Updated__c")
    private Boolean isUpdated;
    @JsonProperty("IsDeleted")
    private Boolean isdeleted;
    @JsonProperty("IsLicensed__c")
    private Boolean islicensed;
    @JsonProperty("IsPartner")
    private Boolean ispartner;
    @JsonProperty("IsPersonAccount")
    private Boolean ispersonaccount;
    @JsonProperty("IsTerminated__c")
    private Boolean isterminated;
    @JsonProperty("LastModifiedById")
    private String lastmodifiedbyid;
    @JsonProperty("LastModifiedDate")
    private Date lastmodifieddate;
    @JsonProperty("LastName")
    private String lastname;
    @JsonProperty("Line_Agent_Code__c")
    private String lineAgentCode;
    @JsonProperty("line_id")
    private String lineId;
    @JsonProperty("Line_Unit_Code__c")
    private String lineUnitCode;
    @JsonProperty("Line_Unit_Name__c")
    private String lineUnitName;
    @JsonProperty("Middlename_TH__c")
    private String middlenameTh;
    @JsonProperty("Name")
    private String name;
    @JsonProperty("Number_of_Day_s_Created__c")
    private Long numberOfDaySCreated;
    @JsonProperty("Objective_Investment_check__c")
    private Boolean objectiveInvestmentCheck;
    @JsonProperty("Objective_Retirement_check__c")
    private Boolean objectiveRetirementCheck;
    @JsonProperty("Owner_Agent_Office__c")
    private String ownerAgentOffice;
    @JsonProperty("Owner_Agent_Office_Code__c")
    private String ownerAgentOfficeCode;
    @JsonProperty("OwnerId")
    private String ownerid;
    @JsonProperty("Payer__c")
    private Boolean payer;
    @JsonProperty("RecordTypeId")
    private String recordtypeid;
    @JsonProperty("SD_Agent_Code__c")
    private String sdAgentCode;
    @JsonProperty("SD_Unit_Code__c")
    private String sdUnitCode;
    @JsonProperty("SD_Unit_Name__c")
    private String sdUnitName;
    @JsonProperty("SM_Agent_Code__c")
    private String smAgentCode;
    @JsonProperty("SM_Agent_Name__c")
    private String smAgentName;
    @JsonProperty("SM_Unit_Code__c")
    private String smUnitCode;
    @JsonProperty("SM_Unit_Name__c")
    private String smUnitName;
    @JsonProperty("Surname_En__c")
    private String surnameEn;
    @JsonProperty("SystemModstamp")
    private Date systemmodstamp;
    @JsonProperty("Type")
    private String type;
    @JsonProperty("WA_Name__c")
    private String waName;
    @JsonProperty("Position_Effective_Date_User_Edited__c")
    private String positionEffectiveDateUserEdited;
    @JsonProperty("Zone__c")
    private String zone;
    @JsonProperty("DummyOf__c")
    private String dummyOf;
    @JsonProperty("DummyType__c")
    private String dummyType;
    @JsonProperty("DummyStatus__c")
    private String dummyStatus;
    @JsonProperty("DummyEffectiveDate__c")
    private Date dummyEffectiveDate;
    @JsonProperty("DummyExpiredDate__c")
    private Date dummyExpiredDate;
    @JsonProperty("HoldReason_Agent_Structure__c")
    private String holdreasonAgentStructure;
    @JsonProperty("HoldFlag_Agent_Structure__c")
    private Boolean holdflagAgentStructure;
    @JsonProperty("HoldDate_Agent_Structure__c")
    private Date holddateAgentStructure;
    @JsonProperty("HoldReason_SCM__c")
    private String holdreasonScm;
    @JsonProperty("HoldFlag_SCM__c")
    private Boolean holdflagScm;
    @JsonProperty("HoldDate_SCM__c")
    private Date holddateScm;
    @JsonProperty("HoldReason_Auto__c")
    private String holdreasonAuto;
    @JsonProperty("HoldFlag_Auto__c")
    private Boolean holdflagAuto;
    @JsonProperty("HoldDate_Auto__c")
    private Date holddateAuto;
    @JsonProperty("ReleaseReason_Agent_Structure__c")
    private String releasereasonAgentStructure;
    @JsonProperty("ReleaseFlag_Agent_Structure__c")
    private Boolean releaseflagAgentStructure;
    @JsonProperty("ReleaseDate_Agent_Structure__c")
    private Date releasedateAgentStructure;
    @JsonProperty("ReleaseReason_SCM__c")
    private String releasereasonScm;
    @JsonProperty("ReleaseFlag_SCM__c")
    private Boolean releaseflagScm;
    @JsonProperty("ReleaseDate_SCM__c")
    private Date releasedateScm;
    @JsonProperty("ReleaseReason_Auto__c")
    private String releasereasonAuto;
    @JsonProperty("ReleaseFlag_Auto__c")
    private Boolean releaseflagAuto;
    @JsonProperty("ReleaseDate_Auto__c")
    private Date releasedateAuto;
    @JsonProperty("OwnerAgentCorp__c")
    private String ownerAgentCorp;
    @JsonProperty("AgentAddress__c")
    private String agentAddress;
    @JsonProperty("VatCheckbox__c")
    private Boolean vatcheckbox;
    @JsonProperty("RecruitingBonusByPass__c")
    private Boolean recruitingBonusByPass;
    @JsonProperty("RecruitingBonusMonthCount__c")
    private Long recruitingBonusMonthCount;
    @JsonProperty("Upline__c")
    private String upline;
    @JsonProperty("FraudFlag__c")
    private String fraudFlag;
    @JsonProperty("FraudDate__c")
    private Date fraudDate;
    @JsonProperty("FraudReason__c")
    private String fraudReason;
    @JsonProperty("ByPass_CompanyTrustFund__c")
    private Boolean bypassCompanyTrustFund;
    @JsonProperty("IsCorporate__c")
    private Boolean iscorporate;

}
