package com.b3.rbl.compensation.model.salesforce;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = false)
public class AgBenefitDto {

    @JsonProperty("Id")
    private String id;
    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @JsonProperty("AFYP__c")
    private BigDecimal afyp;

    @JsonProperty("AG_POLICY_MASTER__c")
    private String agPolicyMaster;

    @JsonProperty("Agent_Producing__c")
    private String agentProducing;

    @JsonProperty("Agent_Producing_User__c")
    private String agentProducingUser;

    @JsonProperty("Agent_Producing_Visibility__c")
    private boolean agentProducingVisibility;

    @JsonProperty("Agent_Servicing__c")
    private String agentServicing;

    @JsonProperty("Agent_Servicing_User__c")
    private String agentServicingUser;

    @JsonProperty("Agent_Servicing_Visibility__c")
    private boolean agentServicingVisibility;

    @JsonProperty("Benefit_Code__c")
    private String benefitCode;

    @JsonProperty("Benefit_Status__c")
    private String benefitStatus;

    @JsonProperty("Benefit_Type__c")
    private String benefitType;

    @JsonProperty("CreatedById")
    private String createdbyid;

    @JsonProperty("CreatedDate")
    private Date createddate;

    @JsonProperty("FYP__c")
    private BigDecimal fyp;

    @JsonProperty("Record_Id__c")
    private String recordId;

    @JsonProperty("IsDeleted")
    private boolean isdeleted;

    @JsonProperty("LastActivityDate")
    private Date lastactivitydate;

    @JsonProperty("LastModifiedById")
    private String lastmodifiedbyid;

    @JsonProperty("LastModifiedDate")
    private Date lastmodifieddate;

    @JsonProperty("LastReferencedDate")
    private Date lastreferenceddate;

    @JsonProperty("LastViewedDate")
    private Date lastvieweddate;

    @JsonProperty("Name")
    private String name;

    @JsonProperty("OwnerId")
    private String ownerid;

    @JsonProperty("Policy_Channel__c")
    private String policyChannel;

    @JsonProperty("Policy_No__c")
    private String policyNo;

    @JsonProperty("Policy_No_Formula__c")
    private String policyNoFormula;

    @JsonProperty("Premium_Amount__c")
    private BigDecimal premiumAmount;

    // @JsonProperty("record_id")
    // private String recordId;

    @JsonProperty("RYP__c")
    private BigDecimal ryp;

    @JsonProperty("Sum_Assure__c")
    private BigDecimal sumAssure;

    @JsonProperty("SystemModstamp")
    private Date systemmodstamp;

    @JsonProperty("Transaction_Date__c")
    private Date transactionDate;

    @JsonProperty("Transaction_Period__c")
    private String transactionPeriod;
}
