package com.b3.rbl.compensation.model.salesforce;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = false)
public class AgFinancialTransactionDto {

    @JsonProperty("Id")
    private String id;

    @JsonProperty("AG_POLICY_MASTER__c")
    private String agPolicyMaster;

    @JsonProperty("Agent_Producing__c")
    private String agentProducing;

    @JsonProperty("Agent_Producing_User__c")
    private String agentProducingUser;

    @JsonProperty("Agent_Producing_Visibility__c")
    private boolean agentProducingVisibility;

    @JsonProperty("Agent_Servicing__c")
    private String agentServicing;

    @JsonProperty("Agent_Servicing_User__c")
    private String agentServicingUser;

    @JsonProperty("Agent_Servicing_Visibility__c")
    private boolean agentServicingVisibility;

    @JsonProperty("Benefit_Code__c")
    private String benefitCode;

    @JsonProperty("Benefit_Type__c")
    private String benefitType;

    @JsonProperty("Check_Current_Date__c")
    private boolean checkCurrentDate;

    @JsonProperty("ESD_Agent_Code__c")
    private String esdAgentCode;

    @JsonProperty("ESD_Agent_Unit__c")
    private String esdAgentUnit;

    @JsonProperty("ESD_Agent_Unit_Name__c")
    private String esdAgentUnitName;

    // @Max(value=?) @Min(value=?)//if you know range of your decimal fields
    // consider using these annotations to enforce field validation
    @JsonProperty("FYC_RYC_Amount__c")
    private BigDecimal fycRycAmount;

    // @JsonProperty("IsDeleted")
    // private boolean isdeleted;

    // @JsonProperty("LastActivityDate")
    // private Date lastactivitydate;

    @JsonProperty("LastModifiedById")
    private String lastmodifiedbyid;

    @JsonProperty("LastModifiedDate")
    private Date lastmodifieddate;

    // @JsonProperty("LastReferencedDate")
    // private Date lastreferenceddate;

    // @JsonProperty("LastViewedDate")
    // private Date lastvieweddate;

    @JsonProperty("Line_Agent_Code__c")
    private String lineAgentCode;

    @JsonProperty("Line_Agent_Unit__c")
    private String lineAgentUnit;

    @JsonProperty("Line_Agent_Unit_Name__c")
    private String lineAgentUnitName;

    @JsonProperty("Name")
    private String name;

    @JsonProperty("OwnerId")
    private String ownerid;

    @JsonProperty("Payment_Method_Code__c")
    private String paymentMethodCode;

    @JsonProperty("Payment_Method_Name__c")
    private String paymentMethodName;

    @JsonProperty("Payment_Mode__c")
    private String paymentMode;

    @JsonProperty("Payment_Mode_Name__c")
    private String paymentModeName;

    @JsonProperty("Policy_Due_Date__c")
    private Date policyDueDate;

    @JsonProperty("Policy_No__c")
    private String policyNo;

    @JsonProperty("Premium_Period__c")
    private Short premiumPeriod;

    @JsonProperty("Premium_Year__c")
    private String premiumYear;

    @JsonProperty("Record_Id__c")
    private String recordId;

    @JsonProperty("Reference_Code__c")
    private String referenceCode;

    @JsonProperty("SD_Agent_Code__c")
    private String sdAgentCode;

    @JsonProperty("SD_Agent_Unit__c")
    private String sdAgentUnit;

    @JsonProperty("SD_Agent_Unit_Name__c")
    private String sdAgentUnitName;

    @JsonProperty("SM_Agent_Code__c")
    private String smAgentCode;

    @JsonProperty("SM_Agent_Unit__c")
    private String smAgentUnit;

    @JsonProperty("SM_Agent_Unit_Name__c")
    private String smAgentUnitName;

    // @JsonProperty("SystemModstamp")
    // private Date systemmodstamp;

    @JsonProperty("Transaction_Amount__c")
    private BigDecimal transactionAmount;

    @JsonProperty("Transaction_Book_Date__c")
    private Date transactionBookDate;

    @JsonProperty("Transaction_Date__c")
    private Date transactionDate;

    @JsonProperty("Transaction_Effective_Date__c")
    private Date transactionEffectiveDate;

    @JsonProperty("Transaction_Period__c")
    private String transactionPeriod;

    @JsonProperty("Transaction_Type__c")
    private String transactionType;
}
