package com.b3.rbl.compensation.report;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Map;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.core.io.ResourceLoader;
import org.springframework.stereotype.Service;
import org.springframework.util.ResourceUtils;

import lombok.extern.log4j.Log4j2;
import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;

@Service
@Log4j2
public class JasperService {

    private DataSource datasource;
    private ResourceLoader resourceLoader;

    public JasperService(DataSource datasource, ResourceLoader resourceLoader) {
        this.datasource = datasource;
        this.resourceLoader = resourceLoader;
        // try {
        // generateBRMSPdfReport("COMPANY", "20240612", "12 - 25 กุม 2567");
        // } catch (JRException e) {
        // // TODO Auto-generated catch block
        // e.printStackTrace();
        // } catch (IOException e) {
        // // TODO Auto-generated catch block
        // e.printStackTrace();
        // } catch (SQLException e) {
        // // TODO Auto-generated catch block
        // e.printStackTrace();
        // }
    }

    public byte[] generateBRMSPdfReport(String reportType, String paidDate, String period, Integer groupSize)
            throws JRException, IOException, SQLException {

        JasperReport compileReport = JasperCompileManager
                .compileReport(resourceLoader.getResource("classpath:jasper-report/scmHrms.jrxml").getInputStream());
        Map<String, Object> parameters = new HashMap();
        parameters.put("p_paid_date", Integer.parseInt(paidDate));
        parameters.put("p_condition", reportType);
        parameters.put("p_period", period);
        parameters.put("p_group_size", groupSize);

        log.info("paidDate: {}", parameters);
        JasperPrint jasperPrint = JasperFillManager.fillReport(compileReport, parameters, datasource.getConnection());
        byte[] data = JasperExportManager.exportReportToPdf(jasperPrint);

        // String fileName = "D://report_" + System.currentTimeMillis() +
        // System.currentTimeMillis() + ".pdf";
        // try {
        // File file = new File(fileName);
        // try (FileOutputStream outputStream = new FileOutputStream(file)) {
        // outputStream.write(data);
        // }

        // } catch (Exception e) {
        // e.printStackTrace();
        // }
        return data;
    }

    // Test DataSource
    // public static ResponseEntity<byte[]> generateTestPdfReport() throws
    // JRException, IOException {
    // JasperReport compileReport = JasperCompileManager
    // .compileReport(new FileInputStream("src/main/resources/reportJas.jrxml"));
    // Map<String, Object> parameters = new HashMap();
    // // อันนี้เป็นการ pass parameter ไปที่ pdf โดย parameters.put("field","value")
    //
    //
    //
    // parameters.put("delegate_taxId", "20000");

    // JasperPrint jasperPrint = JasperFillManager.fillReport(compileReport,
    // parameters,
    // new JREmptyDataSource());
    // byte data[] = JasperExportManager.exportReportToPdf(jasperPrint);

    // HttpHeaders headers = new HttpHeaders();
    // headers.add("Content-Disposition", "inline; filename=reportJasTest.pdf");
    // headers.set(HttpHeaders.CONTENT_TYPE, MediaType.APPLICATION_PDF_VALUE + ";
    // charset=utf-8");

    // return ResponseEntity.ok().headers(headers).body(data);
    // // }

}
