package com.b3.rbl.compensation.rest;

import com.b3.rbl.compensation.model.jbpm.*;
import com.b3.rbl.compensation.service.JbpmService;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;

import lombok.extern.log4j.Log4j2;
import nonapi.io.github.classgraph.json.JSONDeserializer;

import org.apache.tomcat.util.json.JSONParser;
import org.json.simple.JSONObject;
import org.modelmapper.ModelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.jackson.JsonObjectDeserializer;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import java.util.*;
import java.sql.Date;

@Log4j2
// @RestController
// @RequestMapping("jbpm/")
public class JbpmRestApi {

    @Autowired
    JbpmService jbpmService;

    ModelMapper modelMapper;

    @GetMapping("get-container")
    public ResponseEntity<String> getContainerId() {
        jbpmService.initialize();
        jbpmService.disposeAndCreateContainer();
        return ResponseEntity.ok(jbpmService.listContainers());
    }

    @PostMapping("add-data")
    public void insertData(@RequestBody Object result) {
        // log.info("result {}", result);

        AgentDetailData data = new AgentDetailData();

        // data.setAgents((List<AgentResult>) result);
        ObjectMapper objectMapper = new ObjectMapper();
        try {

            String jsonResult = objectMapper.writeValueAsString(result);

            log.info("json {}", jsonResult);

            // Parse the JSON string to List<AgentResult>
            List<AgentResult> agents;

            agents = objectMapper.readValue(jsonResult, new TypeReference<List<AgentResult>>() {
            });
            data.setAgents(agents);
        } catch (JsonMappingException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } catch (JsonProcessingException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }

        jbpmService.setupData(data);

    }

    // @PostMapping("execute-rule")
    // public ResponseEntity<IncomeDetails> executeRule(@RequestBody IncomeDetails
    // incomeDetails){
    // jbpmService.initialize();
    // jbpmService.disposeAndCreateContainer();

    // return ResponseEntity.ok(jbpmService.executeCommands(incomeDetails));
    // }

    @PostMapping("execute-business-process")
    public ResponseEntity<String> executeBusinessProcess(@RequestParam(name = "scheduleDate") String scheduleDate)
            throws JsonProcessingException {
        jbpmService.initialize();
        log.info("schedule {}", scheduleDate);

        jbpmService.getDataTax(scheduleDate);
        // jbpmService.disposeAndCreateContainer();
        // jbpmService.calculationFyc(agents);

        // jbpmService.executeBusinessProcess(agents);

        return ResponseEntity.ok().body("Processing Success");
    }

    @PostMapping("execute-business-process/monthly")
    public void executeBusinessProcess(@RequestParam(name = "startdate") Date startdate,
            @RequestParam(name = "enddate") Date enddate) throws JsonProcessingException {
        jbpmService.initialize();
        log.info("startdate {}", startdate);
        log.info("enddate {}", enddate);

        jbpmService.getDataMonthlyBonus(startdate, enddate);

    }

    @GetMapping("get-Hello-World")
    public ResponseEntity<String> getHelloWorld() {

        return ResponseEntity.ok(jbpmService.getHelloWorld());
    }
}
