package com.b3.rbl.compensation.service;

import java.util.List;

import javax.transaction.Transactional;

import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

import com.b3.rbl.compensation.db.entity.Account;
import com.b3.rbl.compensation.db.entity.AgBenefit;
import com.b3.rbl.compensation.db.entity.AgCustomer;
import com.b3.rbl.compensation.db.entity.AgFinancialTransaction;
import com.b3.rbl.compensation.db.entity.AgPolicyMaster;
import com.b3.rbl.compensation.db.repository.AccountRepository;
import com.b3.rbl.compensation.db.repository.AgBenefitRepository;
import com.b3.rbl.compensation.db.repository.AgCustomerRepository;
import com.b3.rbl.compensation.db.repository.AgFinancialTransactionRepository;
import com.b3.rbl.compensation.db.repository.AgPolicyMasterRepository;

import lombok.AllArgsConstructor;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Service
@AllArgsConstructor
public class DatainService {
    private AccountRepository accountRepository;
    private AgBenefitRepository benefitRepository;
    private AgCustomerRepository customerRepository;
    private AgFinancialTransactionRepository financialTransactionRepository;
    private AgPolicyMasterRepository policyMasterRepository;

    @Transactional
    public DatainService.WebserviceRespone upsertAccount(List<Account> accountList) {
        Iterable<Account> res;
        DatainService.WebserviceRespone respone = new  DatainService.WebserviceRespone();
        try {
            res = accountRepository.saveAll(accountList);
            log.info(res);
            respone.message = "Process Success";
            respone.status = "Success";
            respone.data = res.toString();
        } catch (Exception e) {
            log.error(e);
            respone.message = "Process Fail";
            respone.status = "Fail";
        }
        return respone;
    }

    @Transactional
    public DatainService.WebserviceRespone upsertBenefit(List<AgBenefit> benfitList) {
        Iterable<AgBenefit> res;
        DatainService.WebserviceRespone respone = new  DatainService.WebserviceRespone();
        try {
            res = benefitRepository.saveAll(benfitList);
            log.info(res);
            respone.message = "Process Success";
            respone.status = "Success";
            respone.data = res.toString();
        } catch (Exception e) {
            log.error(e);
            respone.message = "Process Fail";
            respone.status = "Fail";
        }
        return respone;
    }

    @Transactional
    public DatainService.WebserviceRespone upsertCustomer(List<AgCustomer> customers) {
        Iterable<AgCustomer> res;
        DatainService.WebserviceRespone respone = new  DatainService.WebserviceRespone();
        try {
            res = customerRepository.saveAll(customers);
            log.info(res);
            respone.message = "Process Success";
            respone.status = "Success";
            respone.data = res.toString();
        } catch (Exception e) {
            log.error(e);
            respone.message = "Process Fail";
            respone.status = "Fail";
        }
        return respone;
    }

    @Transactional
    public DatainService.WebserviceRespone upsertFinancial(List<AgFinancialTransaction> financialTransactions) {
        Iterable<AgFinancialTransaction> res;
        DatainService.WebserviceRespone respone = new  DatainService.WebserviceRespone();
        try {
            res = financialTransactionRepository.saveAll(financialTransactions);
            log.info(res);
            respone.message = "Process Success";
            respone.status = "Success";
            respone.data = res.toString();
        } catch (Exception e) {
            log.error(e);
            respone.message = "Process Fail";
            respone.status = "Fail";
        }
        return respone;
    }

    @Transactional
    public DatainService.WebserviceRespone upsertPolicy(List<AgPolicyMaster> policyMasters) {
        Iterable<AgPolicyMaster> res;
        DatainService.WebserviceRespone respone = new  DatainService.WebserviceRespone();
        try {
             res = policyMasterRepository.saveAll(policyMasters);
            log.info(res);
            respone.message = "Process Success";
            respone.status = "Success";
            respone.data = res.toString();
        } catch (Exception e) {
            log.error(e);
            respone.message = "Process Fail";
            respone.status = "Fail";
            // respone.data = res.toString();
        }
        return respone;
    }
    public class WebserviceRespone{
        public String status;
        public String message;
        public String data;
    }
}
