package com.b3.rbl.compensation.service;

import java.util.Date;
import java.util.UUID;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.b3.rbl.compensation.db.entity.Variable;
import com.b3.rbl.compensation.db.repository.VariableRepository;

@Service
public class VariableService {

    private VariableRepository variableRepository;

    public VariableService(VariableRepository variableRepository) {
        this.variableRepository = variableRepository;
    }

    public static class Generate_Report_Process {
        public static final String TYPE_NAME = "GENERATE_REPORT_PROCESS";
        public static final String START = "START";
        public static final String RUNNING = "RUNNING";
        public static final String STOP = "STOP";
    }

    public String findByKey(final String key) {
        Variable v = this.variableRepository.findByKey(key);
        return v == null ? null : v.getValue();
    }

    @Transactional
    public synchronized Variable updateValue(final String key, final String value) {
        Variable variable = null;
        if ((variable = this.variableRepository.findByKey(key)) == null) {
            variable = new Variable(UUID.randomUUID(), key);
            variable.setIsDelete(false);
            variable.setCreatedDate(new Date());
            variable.setValue(value);
        } else {
            variable.setValue(value);
        }
        this.variableRepository.save(variable);

        return variable;
    }

    public void initial() {
        updateValue(Generate_Report_Process.TYPE_NAME, Generate_Report_Process.STOP);
    }
}
