package com.b3.rbl.compensation.util;

import java.util.Map;

import org.json.simple.JSONValue;
import org.springframework.expression.Expression;
import org.springframework.expression.ExpressionParser;
import org.springframework.expression.spel.standard.SpelExpressionParser;
import org.springframework.expression.spel.support.StandardEvaluationContext;

public class CompileService {

    private static CompileService instanct;

    private CompileService() {

    }

    public static CompileService instanct() {
        if (instanct == null) {
            instanct = new CompileService();
        }
        return instanct;
    }

    public String dataJson(final String text, Object data) {
        StandardEvaluationContext inventorContext = new StandardEvaluationContext();
        inventorContext.setVariable("data", data);
        String sb = compile(text, inventorContext);
        return sb;
    }

    public String dataJson(final String text, final Map<String, Object> variables) {
        StandardEvaluationContext inventorContext = new StandardEvaluationContext();
        inventorContext.setVariables(variables);
        String sb = compile(text, inventorContext);
        return sb;
    }

    /**
     * @param text
     * @param data
     * @return
     */
    public String DataJson(final String text, String data) {
        StandardEvaluationContext inventorContext = new StandardEvaluationContext();
        inventorContext.setVariable("data", data);
        text.replace("\"", "");
        String sb = compile(text, inventorContext);
        return sb;
    }

    private String compile(String text, StandardEvaluationContext inventorContext) {
        ExpressionParser parser = new SpelExpressionParser();
        StringBuffer sb = new StringBuffer(text.trim());
        Integer start = 0, braketStart = 0;
        while ((braketStart = sb.indexOf("#{", start)) >= 1) {

            Integer braketClose = sb.indexOf("}", braketStart);
            String expressionStr = sb.substring(Integer.valueOf(braketStart + 2), braketClose);
            Expression expression = parser.parseExpression("#" + expressionStr);
            String evaluatedValue = expression.getValue(inventorContext, String.class);
            if (evaluatedValue == null || " ".equals(evaluatedValue)) {
                evaluatedValue = "-";
            }
            int t = 50;
            sb.replace(braketStart, braketClose + 1, JSONValue.escape(evaluatedValue));
            start = braketClose - t;
        }
        return sb.toString();
    }

}
