package com.b3.rbl.onedrive.container;

import com.b3.rbl.onedrive.container.facet.FileFacet;
import com.b3.rbl.onedrive.container.facet.FileSystemInfoFacet;
import com.b3.rbl.onedrive.container.facet.SharePointIdsFacet;
import com.b3.rbl.onedrive.container.facet.ShareScopeType;
import com.b3.rbl.onedrive.container.items.ItemReference;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class RblDriveItem {

    @JsonAlias({ "@microsoft.graph.downloadUrl", "downloadUrl" })
    private String downloadUrl;
    @JsonAlias({ "@microsoft.graph.Decorator", "decorator" })
    private String decorator;
    // private IdentitySet createdBy;
    private IdentitySet lastModifiedBy;
    private String createdDateTime;
    private String eTag;
    private String id;
    private String lastModifiedDateTime;
    private String name;
    private ItemReference parentReference;
    private String webUrl;
    private String cTag;
    private FileFacet file;
    private FileSystemInfoFacet fileSystemInfo;
    // @JsonIgnoreProperties
    // private ShareScopeType shared;
    private Long size;

}
