package com.b3.rbl.onedrive.container.facet;

import org.jetbrains.annotations.NotNull;

import lombok.Getter;
import lombok.Setter;

public enum ShareScopeType {
	ANONYMOUS("anonymous"),
	ORGANIZATION("organization"),
	USERS("users");

	@Setter
	@Getter
	private String type;
	@Setter
	@Getter
	private String scope;

	ShareScopeType() {

	}

	ShareScopeType(String type) {
		this.type = type;
	}

	public static ShareScopeType deserialize(@NotNull String type) {
		switch (type) {
			case "anonymous":
				return ANONYMOUS;
			case "organization":
				return ORGANIZATION;
			case "users":
				return USERS;
			default:
				throw new IllegalStateException("Unknown attribute detected in ShareScopeType : " + type);
		}
	}

	@Override
	public String toString() {
		return type;
	}
}
