package com.b3.rbl.onedrive.container.facet;

import org.jetbrains.annotations.NotNull;

import lombok.Getter;
import lombok.Setter;

public enum SortOrderType {
	ASCENDING("ascending"),
	DESCENDING("descending");

	@Setter
	@Getter
	private String type;

	SortOrderType() {
	}

	SortOrderType(String type) {
		this.type = type;
	}

	public static SortOrderType deserialize(@NotNull String type) {
		switch (type) {
			case "ascending":
				return ASCENDING;
			case "descending":
				return DESCENDING;
			default:
				throw new IllegalStateException("Unknown attribute detected in SortOrderType : " + type);
		}
	}

	@Override
	public String toString() {
		return type;
	}
}
