package com.b3.rbl.onedrive.container.facet;

import org.jetbrains.annotations.NotNull;

import com.azure.core.annotation.Get;

import lombok.Getter;
import lombok.Setter;

public enum SortType {
	DEFAULT("default"),
	NAME("name"),
	TYPE("type"),
	SIZE("size"),
	TAKEN_OR_CREATED_DATETIME("takenOrCreatedDateTime"),
	LAST_MODIFIED_DATETIME("lastModifiedDateTime"),
	SEQUENCE("sequence");

	@Setter
	@Getter
	private String type;

	SortType() {
	}

	SortType(String type) {
		this.type = type;
	}

	public static SortType deserialize(@NotNull String type) {
		switch (type) {
			case "default":
				return DEFAULT;
			case "name":
				return NAME;
			case "type":
				return TYPE;
			case "size":
				return SIZE;
			case "takenOrCreatedDateTime":
				return TAKEN_OR_CREATED_DATETIME;
			case "lastModifiedDateTime":
				return LAST_MODIFIED_DATETIME;
			case "sequence":
				return SEQUENCE;
			default:
				throw new IllegalStateException("Unknown attribute detected in SortType : " + type);
		}
	}

	@Override
	public String toString() {
		return type;
	}
}
